<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Bastea-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wacintaki Poteto modifications Copyright 2004-2010 Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 1.5.5 - Last modified 12/26/2010

v1.0.6 & 1.1.3 additions by Kevin (kevinant@gmail.com)

===

PHP Basics:
	In PHP, using double quotes as delimiters means the text will be parsed for special characters.  Double quotes ("), the dollar sign ($), and various ASCII symbols like newlines and tabs must all be preceeded by a backslash, as follows:

	$var = "tab: \t, double quote: \", dollar sign: \$, single quote: ', newline: \n";

	Using single quotes as delimiters means all text, except single quotes, will be used literally:

	$var = 'double quotes ", dollar sign $, single quote: \'';

	To help prevent confusion, use double quotes only with HTML entities (such as <a href="">), and the HTML entity &quot; for double quotes in normal text.  If you need to use single quotes (apostrophes), then use double quotes for the variable delimiters.

	All lines must end with a semicolon.  If you have parsing problems, check for mismatched quotes and the semicolon!

===
*/


// Init
if (!isset($lang) || isset($_REQUEST['lang'])) {
	$lang = array();
}

// Language version
$lang['cfg_langver'] = '1.5.0';

// Language name (native encoding)
$lang['cfg_language'] = "中文";

// Zero plural form.  0=singular, 1=plural
// Multiple plural forms need to be considered in next language API
// $lang['cfg_zero_plural'] = 1;

// Name of translator(s)
$lang['cfg_translator'] = "<a href=\"mailto:kevinant@gmail.com\">Kevin</a>. 简体版: <a href=\"http://3eye.ws/blog/\">巫鹰</a>";

// Comments (native encoding)
$lang['cfg_comments'] = "Wacintaki 简体中文版";

// HTML charset ("Content-type")
$charset = "utf-8";

// HTML language name ("Content-language" or "lang" tags)
// ISO639-2 (1992-10-15) = "chi/zho"
$metatag_language = "zh-Hans";



/* Language Translation */

//OekakiPoteto Installation
$lang['install_title'] = "安装 OekakiPoteto MySQL 绘图评论板系统";

//mySQL Information
$lang['install_information'] = "mySQL 数据库信息";

//If you do not know if your server has mySQL or how to access your mySQL account, e-mail your tech. support and ask for the following information: hostname, database name, username, and password. Without this information, you will be unable to install OP. If you need to remove the databases, look at the bottom of the page for a link to remove them. If you haven't read the readme.txt, DO IT NOW or your installation will fail! You must make sure you have the proper files and directories CHMODed before you continue. 

$lang['install_disclaimer'] = "如果你清楚你的服务器支不支持 MySQL 或是你不知道你的 MySQL 信息, 请向你的空间提供着查询以下信息:<br />MySQL 数据库服务器位置, MySQL 数据库名称, MySQL 账号名及密码. <br />若没有这些信息, 你将无法安装 OekakiPoetato. 如果你需要删除 MySQL 数据库, 请按本页最下方的链接. 安装前请先阅读 readme.txt! 请确定你文件夹和档案都 Chmod 到 777.";

//If your OP currently works, there is no need to change the mySQL information.
$lang['cpanel_mysqlinfo'] = "如果你的 Oekaki Poetato 当前运行正常, 就不用更改 MySQL 数据库的设定.";

//Default Language
$lang['cpanel_deflang'] = "默认语言";

//Artist
$lang['word_artist'] = "作者";

//Enable JPEG Compression 
$lang['compress_enjpg'] = "启动 JPEG 压缩";

//Compression Settings
$lang['compress_title'] = "压缩设定";

//JPEG Compression Quality
$lang['compress_qual'] = "JPEG 压缩质量";

//Date
$lang['word_date'] = "日期";

//Top
$lang['word_top'] = "到顶端";

//Time
$lang['word_time'] = "时间";

//min
$lang['word_minutes'] = "分钟";

//Age
$lang['word_age'] = "年龄";

//Gender
$lang['word_gender'] = "性别";

//Location
$lang['word_location'] = "来自";

//Joined
$lang['word_joined'] = "加入";

//Language
$lang['word_language'] = "语言";

//Charset
$lang['word_charset'] = "编码";

//Help
$lang['word_help'] = "帮助";

//URL
$lang['word_url'] = "URL";

//Name
$lang['word_name'] = "名字";

//Action
$lang['word_action'] = "动作";

//Disable
$lang['word_disable'] = "不启用";

//Enable
$lang['word_enable'] = "启用";

//Translator
$lang['word_translator'] = "翻译者";

//Yes
$lang['word_yes'] = "是";

//No
$lang['word_no'] = "否";

//Accept
$lang['word_accept'] = "接受";

//Reject
$lang['word_reject'] = "拒绝";

//Owner
$lang['word_owner'] = "拥有者";

//Type
$lang['word_type'] = "类别";

//AIM
$lang['word_aolinstantmessenger'] = "AIM";

//ICQ
$lang['word_icq'] = "ICQ";

//MSN
$lang['word_microsoftmessenger'] = "MSN";

//Yahoo
$lang['word_yahoomessenger'] = "Yahoo实时通";

//Username
$lang['word_username'] = "会员名";

//E-mail
$lang['word_email'] = "电邮";

//Animated
$lang['word_animated'] = "动画";

//Normal
$lang['word_normal'] = "正常";

//Registered
$lang['word_registered'] = "已注册";

//Guests
$lang['word_guests'] = "访客";

//Guest
$lang['word_guest'] = "访客";

//Message
$lang['word_message'] = "信息";

//Refresh
$lang['word_refresh'] = "刷新";

//Comments
$lang['word_comments'] = "说明";

//Animations
$lang['word_animations'] = "动画";

//Archives
$lang['word_archives'] = "图片存档";

//Comment
$lang['word_comment'] = "评论";

//Delete
$lang['word_delete'] = "删除";

//Reason
$lang['word_reason'] = "理由";

//Special
$lang['word_special'] = "特别";

//Archive
$lang['word_archive'] = "归档";

//Unarchive
$lang['word_unarchive'] = "取消归档";

//Homepage
$lang['word_homepage'] = "首页";

//PaintBBS
$lang['word_paintbbs'] = "PaintBBS";

//OekakiBBS
$lang['word_oekakibbs'] = "OekakiBBS";

//Archived
$lang['word_archived'] = "已存档";

//Server
$lang['word_ircserver'] = "IRC 服务器";

//days
$lang['word_days'] = "天";

//Hello
$lang['word_hello'] = "你好";

//Commenting
$lang['word_commenting'] = "评论";

//Paletted
$lang['word_paletted'] = "调色盘";

//Nickname
$lang['word_ircnickname'] = "IRC 昵称";

//Template
$lang['word_template'] = "模板";

//Channel
$lang['word_ircchannel'] = "频道";

//Horizontal
$lang['word_horizontal'] = "水平";

//Vertical
$lang['word_vertical'] = "垂直";

//Male
$lang['word_male'] = "男性";

//Female
$lang['word_female'] = "女性";

//Error
$lang['word_error'] = "错误";

//Board
$lang['word_board'] = "版面";

//Ascending
$lang['word_ascending'] = "从最早的开始排序";

//Decending
$lang['word_decending'] = "从最新的开始排序";

//Recover
$lang['word_recover'] = "恢复";

//Flags
$lang['word_flags'] = "权限";

//Admin
$lang['word_admin'] = "管理";

//Background
$lang['word_background'] = "背景";

//Text
$lang['word_text'] = "文字";

//Font
$lang['word_font'] = "字体";

//Links
$lang['word_links'] = "链接";

//Header
$lang['word_header'] = "页眉";

//View
$lang['word_view'] = "查看";

//Search
$lang['word_search'] = "搜索";

//FAQ
$lang['word_faq'] = "常见问题";

//Memberlist
$lang['word_memberlist'] = "会员名单";

//News
$lang['word_news'] = "最新消息";

//Drawings
$lang['word_drawings'] = "图画";

//Submenu
$lang['word_submenu'] = "子菜单";

//Retouch
$lang['word_retouch'] = "续绘";

//Picture
$lang['word_picture'] = "图片";

//Color
$lang['word_color'] = "颜色";

//Colorcode
$lang['word_colorcode'] = "色码";

//text
$lang['word_text'] = "文字";

//Bold
$lang['word_bold'] = "粗体";

//Italic
$lang['word_italic'] = "斜体";

//Underline
$lang['word_underline'] = "下划线";

//Strikethrough
$lang['word_strikethrough'] = "删除线";

//Example
$lang['word_example'] = "范例";

//Preformatted
$lang['word_preformatted'] = "预先格式的";



//action
$lang['word_action'] = "动作";

//Announcements
$lang['word_announcements'] = "公告";

//Search
$lang['word_search'] = "搜索";

//Mailbox
$lang['word_mailbox'] = "信箱";

//Inbox
$lang['word_inbox'] = "收件夹";

//Outbox
$lang['word_outbox'] = "寄件夹";

//Subject
$lang['word_subject'] = "主题";

//Message
$lang['word_message'] = "信息";

//Reply
$lang['word_reply'] = "评论";

//From
$lang['word_from'] = "发自";

//Write
$lang['word_write'] = "撰写";

//To
$lang['word_to'] = "发给";

//Status
$lang['word_status'] = "状态";

//Edit
$lang['word_edit'] = "编辑";

//Chat
$lang['word_chat'] = "聊天";

//Online
$lang['word_online'] = "在线会员";

//Mailbox
$lang['word_mailbox'] = "信箱";

//Register
$lang['word_register'] = "注册";

//Administration
$lang['word_administration'] = "管理涂鸦板";

//Draw
$lang['word_draw'] = "开始画图";

//Logoff
$lang['common_loggedin'] = "已登入";

//Profile
$lang['word_profile'] = "个人资料";

//Local
$lang['word_local'] = "本区";

//Edit Pics
$lang['header_epics'] = "编辑图片";

//Your picture
$lang['functions_yourpic'] = "你的图片";

//Recover Pics
$lang['header_rpics'] = "恢复图片";

//Delete Pics
$lang['header_dpics'] = "删除图片";

//Delete Comments
$lang['header_dcomm'] = "删除评论";

//Edit Comments
$lang['header_ecomm'] = "编辑评论";

//View Pending
$lang['header_vpending'] = "查看未批准的会员";

//Re-Touch
$lang['word_retouch'] = "续绘";

//Logout
$lang['word_logoff'] = "注销";

//Modify Flags
$lang['common_mflags'] = "修改权限";

//Delete User
$lang['common_delusr'] = "删除会员";

//(include the http://)
$lang['common_http'] = "(包括 http://)";

//Move to page
$lang['common_moveto'] = "移到页";

//Scroll Down
$lang['chat_scroll'] = "向下滚屏";

//Conversation
$lang['chat_conversation'] = "交谈";

//Chat Information (required)
$lang['chat_chatinfo'] = " 聊天信息 (必填)";

//Move to Page
$lang['common_mpage'] = "移到 页";

//Delete Picture
$lang['common_deletepic'] = "删除图片";

//Picture Number
$lang['common_picno'] = "图片编号";

//Approved by
$lang['common_approvby'] = "批准人";

//Rejected by
$lang['common_rejby'] = "拒绝人";

//Close this Window
$lang['common_window'] = "关闭此窗口";

//Last Login
$lang['common_lastlogin'] = "上次登入";

//Picture Posts
$lang['common_picposts'] = "图片贴";

//Comment Posts
$lang['common_compost'] = "评论贴";

//Join Date
$lang['common_jdate'] = "加入日期";

//Message Box
$lang['chat_msgbox'] = "收件箱";

//You can use the message box to leave requests/comments, or talk to OekakiPoteto members if they are online.<b> All comments will be deleted after a specific amount of posts.<br /></b><b><br />*</b> - Indicates a registered member.<br /><b>#</b> - Indicates a Guest <br /><br />Although you can see the current online registered members in the chat, Guests who are still online will dissapear after a specific amount of time. Be aware that everyime a guest posts, there WILL be multiple instances of the user under Guest. <br /><br />Your IP and Hostname is tracked in case of abuse. To see a user's IP/hostname, hover your mouse over their username in the chat. The rate of refresh is 15 seconds.<br /><br /><i>Administrators have the ability to ban users from the <b>ENTIRE SITE</b>, so BEHAVE!</i>

$lang['chat_warning'] = "你可以使用收件箱以留下要求, 或和在线的会员说话. <b>所有的评论将于一定的时间后删除</b><br /><br /><b>*</b> - 表示已注册之会员.<br /><b>#</b> - 表示访客 <br /><br />虽然你可以看到当前在线的人在聊天室里, 但在线的访客将于一定时间消失. 注意每次访客评论时, 会存在多个访客账号的实例. <br /><br />因管理需要您的 IP 已被记录. 要查看会员的 IP, 将鼠标指针悬停在聊天室中的会员名上. 刷新频率为15秒.<br /><br /><i>请遵守网站的板规, 多次违规的会员将被封禁.</i>";

//NiftyToo Usage
$lang['common_niftytoo'] = "NiftyToo 用法";

//Database Hostname
$lang['install_dbhostname'] = "数据库服务器名称";

//Database Name
$lang['install_dbname'] = "数据库名称";

//Database Username
$lang['install_dbusername'] = "数据库用户名";

//Database Password
$lang['install_dbpass'] = "数据库密码";

//Database Prefix
$lang['install_prefix'] = "数据库的命名前缀";

//change if you are installing an additional board
$lang['install_prefixsub'] = "如果你正在安装一个额外的涂鸦板，请修改此项";

//Member Database Prefix
$lang['install_mdbprefix'] = "会员数据库前缀";




// if you are trying to install multiple boards using one user database, make sure all other OP board databases that you want to use under one account have the same prefix, otherwise, leave this value alone

$lang['install_mdbprefixsub'] = "如果你想在一个用户数据库下安装多个涂鸦板，请确认在同一账号下的所有其他 OekakiPoteto 的数据库拥有相同的前缀. 否则, 请勿更改此内容";

//OekakiPoteto Configuration
$lang['install_opconf'] = "OekakiPoteto 设定";

//All the settings are already set to their defaults. You do not have to change any of them, except for "Display - Registration."
$lang['install_opconfsub'] = "全部的设定是默认值, 你不需要更改他们, 除了 \"显示-注册部分\"";

//Display - Registration (Required)
$lang['install_dispreg'] = "显示-注册 (必填)";

//URL to OekakiPoteto
$lang['install_opurl'] = "OekakiPoteto 的存放 URL";

//Registration E-Mail
$lang['install_email'] = "管理者的 E-Mail";

//the e-mail address to use to send out registration information; this is REQUIRED if you are using automatic registration
$lang['install_emailsub'] = "用来寄出确认信的邮件地址, 如果你使用自动注册此字段必填";

//General
$lang['install_general'] = "一般设定";

//Encryption Key
$lang['install_salt'] = "加密密码";


//An encryption key can be any combination of characters; it is used to generate unique encryption strings for passwords. If you are using multiple boards with the same member database, make sure all boards share the same encryption key.

$lang['install_saltsub'] = "加密密码可以是任意的字符. 这是用来生成唯一的编码字串. 如果你安装超过一个涂鸦板的话, 请确定每个版都是同样的加密密码";

//Picture Directory
$lang['install_picdir'] = "图片文件夹";

//directory where your pictures will be stored
$lang['install_picdirsub'] = "将要存放图片的文件夹";

//Number of pictures to store
$lang['install_picstore'] = "要储存图片数";

//the max number of pictures the OP can store at a time
$lang['install_picstoresub'] = "最多能存放的图片数量";

//Registration
$lang['install_reg'] = "注册";

//Automatic User Delete
$lang['install_adel'] = "自动删除会员";

//user must login within the specified number of days before being physically deleted from the database
$lang['install_adelsub'] = "会员必须在一定的时间内至少登入一次, 否则账号会被删除";

//days <b>(-1 disables the automatic delete)</b>
$lang['install_adelsub2'] = "天 <b>(-1 表示不自动删除会员)</b>";

//Allow Guests to Post?
$lang['install_gallow'] = "允许访客评论? (最好不要)";

//if yes, guests can make comment posts on the board and chat
$lang['install_gallowsub'] = "如果是的话, 访客就可以发表评论和聊天";

//Require Approval? (Select no for Automatic Registration)
$lang['install_rapproval'] = "需要管理员批准? (若要自动注册的话请选否)";


//if yes, approval by the administrators is required to register
$lang['install_rapprovalsub'] = "如果是, 会员注册后要经过管理员批准";


//Enable Draw Access for Non-Approvals?
$lang['install_daccess'] = "允许那些尚未被批准的会员画图?";

//enables/disables automatic assignment of draw flags for non-approvals
$lang['install_daccesssub'] = "允许/不允许让尚未批准的会员画图";

//Enable Animation Access for Non-Approvals?
$lang['install_aaccess'] = "允许让尚未批准的会员进入动画区?";

//enables/disables automatic assignment of animation flags for non-approvals 
$lang['install_aaccesssub'] = "允许/不允许让尚未被批准的会员发布动画";



//Display - General
$lang['install_dispgen'] = "一般显示";

//Default Template
$lang['install_deftem'] = "默认模板";

//templates are stored in the templates directory
$lang['install_deftemsub'] = "模板保存在 templates 文件夹";

//Title
$lang['install_title2'] = "标题";

//what you want to call the OekakiPoteto; displayed on the navi bar
$lang['install_title2sub'] = "你的涂鸦板的名称，显示在导航条上";


//Number of Pics to Display a Page
$lang['install_nopics'] = "一页显示的图片数量?";

//Display - Chat
$lang['install_dispchat'] = "显示聊天室";

//Max Number of Lines to Store for Chat
$lang['install_displinesmax'] = "聊天室中保存的最大行数";

//Lines of Chat Text to Display in a Page
$lang['install_displines'] = "聊天室中一页显示的行数";

//Paint Applet Settings
$lang['install_appletset'] = "涂鸦板程序设定";

//Maximum Animation Filesize
$lang['install_animax'] = "最大的动画文件大小";

//the max filesize animation files can be in bytes; default is 500,000 bytes or 500KB
$lang['install_animaxsub'] = "允许的最大动画文件大小, 默认为 500KB 或是 500000字节";

//bytes (1000 bytes = 1KB)
$lang['install_bytes'] = "字节 (1024 Bytes = 1KB)";

//Canvas Size Limit - Width
$lang['install_canvwid'] = "画布宽度限制";

//the max width the canvas can be
$lang['install_canvwidsub'] = "允许的最大画布宽度";

//Canvas Size Limit - Height
$lang['install_canvhei'] = "画布高度限制";

//the max height the canvas can be
$lang['install_canvheisubm'] = "允许的最大画布高度";


//the default width the user will start with when drawing
$lang['install_canvheisub'] = "会员开始画图时默认的画布宽度";

//Default Canvas Size - Width
$lang['install_dcanvwid'] = "默认的画布宽度";

//the default width the user will start with when drawing
$lang['install_dcanvwidsub'] = "会员开始画图时默认的画布宽度";

//Default Canvas Size - Height
$lang['install_dcanvhei'] = "默认的画布高度";

//the default height the user will start with when drawing
$lang['install_dcanvheisub'] = "会员开始画图时默认的画布高度";

//Misc Settings
$lang['install_miscsettings'] = "杂项设定";

//Apostrophes Mode
$lang['install_apstrophesm'] = "引号模式";

//if you have problems inserting ' or " into your posts, set the mode to 0
$lang['install_apstrophesmsub'] = "如果在评论时打 ' 或 \" 会出现问题的话, 请把此设置改0";

//Administrator Information
$lang['install_admininfo'] = "管理员信息";

//Login
$lang['install_login'] = "登入";

//Password
$lang['install_password'] = "密码";

//Recover Password
$lang['header_rpass'] = "忘记密码";

//Re-Type Password
$lang['install_repassword'] = "重新键入密码";

//TERMS OF USE: OekakiPoteto is freeware. You are allowed to install unlimited copies of OekakiPoteto on your site. You may modify the code and create your own supporting scripts for it as long as you properly credit RanmaGuy and Marcello at the bottom of the OekakiPoteto pages, along with a link back to suteki.nu. If you fail to give us proper credit, your board can be disabled by us. You may NOT sell OekakiPoteto to anyone! If you were sold OekakiPoteto, you got ripped off for a free product. By using OekakiPoteto, modified, or unmodified, you agree to these terms. 

$lang['install_TOS'] = "TERMS OF USE: OekakiPoteto is freeware. You are allowed to install unlimited copies of OekakiPoteto on your site. You may modify the code and create your own supporting scripts for it as long as you properly credit RanmaGuy and Marcello at the bottom of the OekakiPoteto pages, along with a link back to suteki.nu. If you fail to give us proper credit, your board can be disabled by us. You may NOT sell OekakiPoteto to anyone! If you were sold OekakiPoteto, you got ripped off for a free product. By using OekakiPoteto, modified, or unmodified, you agree to these terms.";

//Databases Removed!
$lang['install_dbremove'] = "数据库已删除";

//You need to CHMOD your OekakiPoteto directory to 777 before installing OP! Read the readme.txt file if you haven't figured out what other files you need to CHMOD.
$lang['install_error'] = "你必须把你的 OekakiPoeteto 目录 CHMOD 到777, 请阅读 Install.txt 获得更多资料";

//If you did not recieve any errors, then the installation has completed. DELETE THIS FILE AND UPGRADE.PHP FROM THE SERVER TO PREVENT SECURITY BREACHES!
$lang['install_complete'] = "如果你没有收到任何错误信息说明安装已完成, 请删除 install.php, 避免服务器被攻击";

//Your Administrator passwords do not match! Try again.
$lang['install_nomatch'] = "你的管理员密码不符, 请再试一次";

//Click <a href="install.php?mode=del">here</a> to remove the database! All information WILL be lost without confirmation!!
$lang['install_dbdel'] = "点击<a href=\"install.php?mode=del\">这里</a>把 MySQL 数据库里的数据都删除. <font color=red size=6>警告: 此举将删除 MySQL 数据库里的整个数据!</font>";

//View Pending Users: Select a User
$lang['addusr_vpending'] = "查看尚未被批准的会员: 选择一个会员";

//View Pending Users: Details
$lang['addusr_vpendingdet'] = "查看尚未被批准的会员: 详细内容";

//Comment - Hostname - IP
$lang['addusr_IPdet'] = "评论 - 主机名 - IP";

//Art URL
$lang['addusr_arturl'] = "画作 URL";

//Draw Access
$lang['common_drawacc'] = "画图权限";

//Animation Access
$lang['common_aniacc'] = "发动画权限";

//Comments (will be sent to the registrant)
$lang['addusr_comment'] = "意见 (将送给此会员)";

//You do not have the credentials to add users.
$lang['error_addusr'] = "你没有添加会员的权限";

//Recover Picture
$lang['recover_rpicture'] = "恢复图片";

//Picture #
$lang['recover_pictureno'] = "图片 #";

//The correct type must be specified for re-touch to work properly!
$lang['recover_ctype'] = "你必须选择正确的画图工具, 否则你的图片将无法续绘!";

//Edit IP Ban List
$lang['banip_editiplist'] = "编辑 IP 封锁名单";

//Use one IP per line.  Comments may be enclosed in parentheses at end of line.
$lang['banip_editiplistsub'] = 'Use one IP per line.  Comments may be enclosed in parentheses at end of line.';

//Usage Example: <strong style="text-decoration: underline">212.23.21.* (Username - banned for generic name!)</strong>
$lang['banip_editiplistsub2'] = 'Usage Example: <strong style="text-decoration: underline">212.23.21.* (Username - banned for generic name!)</strong>';

//Edit Host Ban List
$lang['banip_edithostlist'] = "编辑封锁主机名单";

//Same usage as for IPs.  This bans entire ISPs and possibly <em>large</em> numbers of people, so use with caution!
$lang['banip_edithostlistsub'] = 'Same usage as for IPs.  This bans entire ISPs and possibly <em>large</em> numbers of people, so use with caution!';

//Usage Example: <strong style="text-decoration: underline">*.dsl.lamernet.net (Proxy ISP, IPs rotate too often)</strong>
$lang['banip_edithostlistsub2'] = 'Usage Example: <strong style="text-decoration: underline">*.dsl.lamernet.net (Proxy ISP, IPs rotate too often)</strong>';

//Ban List
$lang['header_banlist'] = "封锁名单";

//Template Designer
$lang['header_tdesign'] = "模板设计者";

//Check Version
$lang['header_chkvrsn'] = "检查版本";

//Control Panel
$lang['header_cpanel'] = "控制台";

//Send OPMail Notice
$lang['header_sendall'] = "寄出信件通知所有会员";

//<b>You have been banned!<br /><br />Reasons:<br /></b>- A user from your ISP was banned, which banned everyone on that ISP<br />- You were banned for malicious use of the OekakiPoteto<br /><br /><i>If you feel that this message was made in error, speak to an adminstrator of the OekakiPoteto.</i>
$lang['banned'] = "<b>你已被封锁!<br /><br />可能原因:<br /></b>- 一个来自和你相同 ISP 的会员被封锁了, 所以这样就封锁了整个 ISP 的 IP. <br />- 或者你因为恶意使用本涂鸦板而被封锁<br /><br /><i>如果你认为此信息有误, 请与管理员联系</i>";

//Retrieve Lost Password
$lang['chngpass_title'] = "重设密码";

//Because your password is encrypted, there is no way to retrieve it. Instead, you must specify a new password. If you recieve no errors when submitting this form, that means your password has successfully changed and you can login with it once you are redirected to the index page.
$lang['chngpass_disclaimer'] = "由于密码已被加密, 所以无法取回密码, 但是你可以重设密码. 请输入你的新密码. 如果你提交此表单没有遇到任何问题, 表示你已成功重设密码. 然后回到首页后你就可以用你的新密码登入了.";

//New Password
$lang['chngpass_newpwd'] = "新密码";

//Add Comment
$lang['comment_add'] = "发表评论";

//Title of Picture
$lang['comment_pictitle'] = "图片的主题";

//Adult Picture?
$lang['comment_adult'] = "成人图片?";

//Comment Database
$lang['comment_database'] = "评论数据库";

//will be sent to the artist's mailbox
$lang['picdel_mreason'] = "将会寄到画家的信箱";

//Global Picture Database
$lang['gpicdb_title'] = "全部图片数据库";

//Delete User
$lang['deluser_title'] = "删除会员";

//will be sent to the deletee
$lang['deluser_mreason'] = "将会送到被删除会员的信箱";

//Clicking delete will physically remove all records associated with the user, including pictures, comments, etc. An e-mail will be sent to the user appened with your contact e-mail in the case the deletee has further questions on the removal.
$lang['deluser_disclaimer'] = "按下删除后将会删除此会员所有的东西, 包括其创作及评论. 一封 E-mail 将寄给他.";




//Edit Comment
$lang['ecomm_title'] = "编辑评论";

//Animated NoteBBS
$lang['online_aninbbs'] = "动画的 NoteBBS";

//Normal OekakiBBS
$lang['online_nmrlobbs'] = "正常的 OekakiBBS";

//Animated OekakiBBS
$lang['online_aniobbs'] = "动画的 OekakiBBS";

//Normal PaintBBS
$lang['online_npaintbbs'] = "正常的 PaintBBS";

//Palette PaintBBS
$lang['online_palpaintbbs'] = "带调色盘的 PaintBBS";

//Admin Pic Recover
$lang['online_apicr'] = "管理员图片恢复";

//Edit News
$lang['enews_title'] = "编辑站内公告";

//HTML and PHP is allowed. Your name and post time will automatically appear after each message.
$lang['enews_dir'] = "不允许 HTML 和 PHP 代码. 你的名字和时间将自动显示在评论的后面.";

//Erase this line and insert new news here (do not erase the <br />'s)
$lang['enews_dir2'] = "删掉此行并输入你的公告 (不要删掉任何 <br />'s)";

//Edit Notice
$lang['enotice_title'] = "编辑公告";

//Edit / Recover Picture Info
$lang['erpic_title'] = "编辑 / 恢复图片数据";


//Edit Profile
$lang['eprofile_title'] = "编辑个人资料";


//A valid e-mail address is required for password retrival in case you lose it.
$lang['eprofile_valid'] = "一个正确的 E-mail 是必要的, 如果你忘记密码系统可以将密码寄给你.";

//URL Title
$lang['eprofile_urlt'] = "URL 主题";

//IRC Information
$lang['eprofile_irctitle'] = "IRC 信息";

//if you use IRC, type the information here
$lang['eprofile_irctitlesub'] = "如果你用 IRC, 请在此输入数据.";

//Current Template
$lang['eprofile_curtemp'] = "现在的模板";


//Current Template Details
$lang['eprofile_curtempd'] = "现在的模板的细节";

//Select New Template
$lang['eprofile_templsel'] = "选一个新模板";

//Comments / Preferences
$lang['eprofile_compref'] = "评论 / 选项";

//Picture View Mode
$lang['eprofile_picview'] = "图片查看模式";


//Horizontal is the default format. Vertical allows you to see larger pictures without comments being squshed by the picture.
$lang['eprofile_picviewsub'] = "水平是默认模式, 垂直模式能让你能看到更大的图且不会把评论挤开.";

//Allow Adult Images
$lang['eprofile_adult'] = "允许成人图片";

//You may check this if you are 18+
$lang['eprofile_adultsub'] = "如果你大于18岁请勾选此项";

//Change Password
$lang['eprofile_chngpass'] = "更改密码";

//do not type anything if you are not changing
$lang['eprofile_chngpasssub'] = "如果你不是要更改密码的话, 请不要在此输入任何东西";

//Old Password
$lang['eprofile_oldpass'] = "旧密码";

//Retype Password
$lang['eprofile_repass'] = "重新输入密码";

//You will be automatically logged out if your password successfully changes; you need to re-login when this occours.
$lang['eprofile_pdisc'] = "成功修改密码后你将自动被注销, 到时重新登录即可.";


//Use your browser button to go back.
$lang['error_goback'] = "用你的浏览器的上一页按纽以回到上页.";

//Who's Online
$lang['online_title'] = "谁在线";

//last 15 minutes
$lang['online_last'] = "前15分钟";

//This window refreshes every 15 seconds.
$lang['online_refresh'] = "此窗口会每15秒自动刷新";

//View Animation
$lang['viewani_title'] = "观赏动画";

//file size
$lang['viewani_files'] = "文件大小";

//Version Check
$lang['vcheck_title'] = "版本确认";

//Your OekakiPoteto Version
$lang['vcheck_yver'] = "你的 OekakiPoteto 版本";

//Latest OekakiPoteto Version
$lang['vcheck_lver'] = "最新的 OekakiPoteto 版本";

//Click to download
$lang['vcheck_download'] = "点击这里下载";

//Design / Modify Templates
$lang['templates_title'] = "设计 / 编辑模板";

//Register New User
$lang['register_title'] = "注册新会员";

//REQUIRED for notification if your application has been accepted or rejected. Also required if you want to retrieve your password in case you lose it.
$lang['register_sub1'] = "必填: 注册结果将会发送到你的邮箱. 还有当你忘记密码需要重设密码的时候也需要使用邮箱接收密码.";

//A VALID E-MAIL ADDRESS IS REQUIRED TO REGISTER!
$lang['register_sub2'] = "需要一个正确的 E-amil 才可注册!!";

//Will be shown on your profile when registering; this comment box is limited to 80 chars for proper introduction so Admins can identify you; your IP and hostname is also tracked for security purposes.
$lang['register_sub3'] = "当你在注册时会显示在你的个人资料上, 最多输入80个字, 这样可以帮助管理员识别你的身份. 为保护网络安全你的 IP 也会被记录.";


//Include a URL to a picture or website that displays a piece of your work that you have done.
$lang['register_sub4'] = "输入你的作品或者包含你作品的网站的网址.";


//THIS IS NECESSARY TO REQUEST ACCESS TO DRAW ON OEKAKI
$lang['register_sub5'] = "这是申请画图权限所必须的.";

//DO NOT REGISTER TWICE! You can check if you're in the pending list by viewing the member list and searching for your username. The reasons why approved registration may take awhile is because no one at the moment has time to maintain the pending list.
$lang['register_sub6'] = "请勿重复注册! 你可以搜索自己是否还在待批准的名单上, 你尚未被批准的原因可能是因为管理员未来得及处理你的申请, 请耐心等待.";

//Upon submission, you will be taken to the main index.
$lang['register_sub7'] = "完成后, 你将会自动返回涂鸦板的首页.";


//Picture Recovery
$lang['picrecover_title'] = "恢复图片";

//Profile for
$lang['profile_title'] = "个人资料";


//send a message
$lang['profile_sndmsg'] = "发送信息";

//Latest Pictures
$lang['profile_latest'] = "最新的图片";

//You are using the Advanced editor.
$lang['templatea_title'] = "你正在使用高级编辑器.";

//Switch to Basic
$lang['templatea_title2'] = "切换到基本编辑器";

//Template Information
$lang['templatec_title'] = "模板信息";

//Template Filename
$lang['templatec_filen'] = "模板文件名";

//this filename will be displayed on the template selection
$lang['templatec_filen2'] = "此名称将在模板选择的地方出现";

//Template Notes
$lang['templatec_notes'] = "模板说明";

//put in any author info, design notes, etc. here
$lang['templatec_author'] = "请在此输入作者信息, 设计备注等等";

//Knowledge of CSS is required. Most fields are for CSS code.
$lang['templatea_disc'] = "需要 CSS 知识, 大部分的区域都需要填写 CSS 代码.";

//Header Table Settings
$lang['templatec_htables'] = "页眉表格设定";

//Cell Padding
$lang['templatec_cellpad'] = "单元格内边距";


//Table Width
$lang['templatec_twidth'] = "表格宽度";

//Comment Table
$lang['templatec_tsettings'] = "评论表格";

//Link Information
$lang['templatec_linkinfo'] = "链接信息";

//Datestamp Color
$lang['templatec_datestamp'] = "时间颜色";


//Additional CSS (define new selectors, tags, etc here)
$lang['templatec_addcss'] = "附加的 CSS (请在这里定义新的选择符, 标签等等)";

//The navigation bar
$lang['templatea_navibar'] = "导航条设定";

//Type in your CSS here
$lang['templatea_typecss'] = "在此键入你的 CSS";

//The submenus of the navigation bar
$lang['templatea_submenus'] = "导航条中的子菜单";

//The title bar on most tables
$lang['templatea_header'] = "大部分的表格上的标题栏";

//Text input boxes
$lang['templatea_txtinput'] = "文字输入框";

//Submit button
$lang['templatea_submitb'] = "提交按钮";

//The area used below the table header
$lang['templatea_infotable'] = "表格标题栏下面的区域";



//The footer at the bottom of the page
$lang['templatea_footer'] = "页脚";

//List boxes
$lang['templatea_listbox'] = "列表框";

//The titlebar of the comments table
$lang['templatea_titlebarc'] = "评论表格的标题栏";

//The area below the titlebar of the comments table
$lang['templatea_atitlebar'] = "评论表格标题栏下面的区域";

//Browser scrollbar, etc
$lang['templatea_body'] = "浏览器的滚动条";

//You are using the Basic editor.
$lang['templateb_title'] = "你现在正在使用基本编辑器.";

//Switch to Advanced
$lang['templateb_swap'] = "切换到高级模式";

//Background Color
$lang['templateb_bgcolor'] = "背景颜色";

//Background Image (optional)
$lang['templateb_optimage'] = "背景图 (可选)";

//put your background files in the templates directory
$lang['templateb_optimate2'] = "请把你的背景文件存放在 Templates 文件夹中";

//Font Size
$lang['templateb_fsize'] = "字号";

//Font Color
$lang['templateb_fcolor'] = "文字颜色";

//Link Color
$lang['templateb_lcolor'] = "链接颜色";

//Active Link Color
$lang['templateb_alcolor'] = "激活的链接颜色";

//Visited Link Color
$lang['templateb_vlcolor'] = "访问过的链接颜色";

//Navigation Bar
$lang['templateb_navibar'] = "导航条";

//Border Color
$lang['templateb_bcolor'] = "边框颜色";

//Menu Border Style
$lang['templateb_mborder'] = "菜单边框样式";

//if you don't know what to put in, use either "solid" or "dotted"
$lang['templateb_mborder2'] = "如果你不知道要选什么, 请选择 \"实线\" 或者 \"点\"";

//Header Font Color
$lang['templateb_hfontcol'] = "页眉的文字颜色";

//Header Strip Background Color
$lang['templateb_hstripcol'] = "页眉的背景色";

//Header Width
$lang['templateb_hwidth'] = "页眉宽度";

//Header Cell Padding
$lang['templateb_hcellpad'] = "页眉内边距";

//Header Border Color
$lang['templateb_hbcol'] = "页眉边框颜色";

//Header Border Style
$lang['templateb_hbstyle'] = "页眉边框样式";

//Header Border Size
$lang['templateb_hbsize'] = "页眉边框粗细";

//Header Font Size
$lang['templateb_hfsize'] = "页眉字号";

//in pixels
$lang['templateb_inpix'] = "以像素为单位";

//Comment Strip Background Color
$lang['templateb_commstrbg'] = "评论条背景色";

//Comment Area
$lang['templateb_commarea'] = "评论区域";

//Comment Post Background Color
$lang['templateb_commpbgc'] = "发表评论区域的背景色";

//Comment Post Font Color
$lang['templateb_commpftcol'] = "发表评论区域的文字颜色";

//Border Style
$lang['templateb_bordersty'] = "边框样式";

//Border Size
$lang['templateb_bordersiz'] = "边框粗细";

//Text / Combo Box Input
$lang['templateb_combinp'] = "文字输入框 / 下拉菜单";

//Box Height
$lang['templateb_boxhei'] = "输入框高度";

//Button Height
$lang['templateb_btnhei'] = "按钮高度";

//Browser Scroll Bar
$lang['templateb_browscroll'] = "浏览器的滚动条";

//Arrow Color
$lang['templateb_arrowcol'] = "箭头颜色";

//Base Color
$lang['templateb_basecol'] = "底部颜色";

//Face Color
$lang['templateb_facecol'] = "表面颜色";

//Highlight Color
$lang['templateb_hicol'] = "高光颜色";

//Shadow Color
$lang['templateb_shadcol'] = "阴影颜色";

//3D Light Color
$lang['templateb_3dlight'] = "3D 颜色";

//Back to Template Selection
$lang['templateb_tempsel'] = "回到模板选择";

//Current Preview
$lang['templateb_curprev'] = "当前预览";

//Current Template Settings Preview (if you changed the template, save it to see the changes)
$lang['templateb_tempsettpre'] = "当前模板的预览 (如果你修改了模板, 要保存后才能看得到)";

//Header Table
$lang['templatec_headert'] = "页眉表格";

//Comment Title
$lang['templatec_commtitle'] = "评论标题";

//Comment Post Table
$lang['templatec_commpostt'] = "评论表格";





//Edit Template
$lang['templated_title'] = "编辑模板";

//Create a new template
$lang['templated_create'] = "创建一个新模板";

//Modify Canvas Size
$lang['applet_modify'] = "修改画布尺寸";

//Max is
$lang['applet_max'] = "最大为";

//Modify Applet Size
$lang['applet_size'] = "修改 Applet 的尺寸";

//from X canvas size
$lang['applet_x'] = "from X canvas size";

//from Y canvas size
$lang['applet_y'] = "from Y canvas size";

//If you are re-touching, you may need to refresh your browser to see the new results after submitting your picture.
$lang['applet_retouch'] = "如果你在续绘, 你在提交新画之后可能需要刷新页面才能看到你的新图.";

//You cannot modify the canvas size when retouching a picture.
$lang['applet_retouchdisc'] = "你不能在续绘时更改画布大小.";

//How to use OekakiBBS
$lang['applet_howop'] = "如何使用 OekakiBBS";

//Play the animation first to get your retouch image when you are doing retouch.
$lang['applet_animationre'] = "续绘前先播放动画.";

//Using Niftytoo
$lang['niftytoo_title'] = "使用 Niftytoo";

//Nifty-markup is a universal markup system for OekakiPoteto. It allows for all the basic formatting you could want in your messages, profiles, and text.
$lang['niftytoo_titlesub'] = "Nifty-markup 是 OekakiPoteto 使用的语法标记系统. 这能允许在你的评论和文字中使文字格式化 (修改字号, 颜色等).";

//Linking/URLs
$lang['niftytoo_linking'] = "链接/网址";

//To have a url automatically link, just type it in, beginning with http://
$lang['niftytoo_autolink'] = "http:// 开头的网址会自动转换成链接";



//Basic Formatting
$lang['niftytoo_basicfor'] = "基本格式";

//Change a font\'s color to the specified <i>colorcode</i>.
$lang['niftytoo_textcol'] = "更换一个字体的颜色到指示的<i>颜色码</i>.";



//will produce
$lang['niftytoo_produce'] = "将会产生";

//Intermediate Formatting
$lang['niftytoo_intermform'] = "中等格式";



//Chat Formatting
$lang['niftytoo_chatformat'] = "聊天格式";

//Preforms an <i>action</i> in chat.
$lang['niftytoo_chatdesc'] = "在聊天室里面做出一个<i>动作</i>.";

//hits RanmaGuy on the head with a mallet.
$lang['niftytoo_actions'] = "hits RanmaGuy on the head with a mallet.";

//Modify Permissions
$lang['niftytoo_permissions'] = "更改权限";

//Recover Any Pic
$lang['header_rapic'] = "恢复任何图片";

//Super Administrator
$lang['type_sadmin'] = "超级管理员";

//Owner
$lang['type_owner'] = "拥有者";

//Administrator
$lang['type_admin'] = "管理员";

//Draw Access
$lang['type_daccess'] = "画图权限";

//Animation Access
$lang['type_aaccess'] = "动画权限";

//Immunity
$lang['type_immunity'] = "免疫权限";

//Adult Viewing
$lang['type_adultview'] = "成人观赏权限";

//General User
$lang['type_guser'] = "一般会员";

//A Super Administrator has the ability to add administrators as well as the abilities that Administrators have.
$lang['type_sabil'] = "一个超级管理员不仅具有普通管理员的权限, 还能添加新管理员.";

//Removing this permission will suspend their account.
$lang['type_general'] = "警告: 删除此权限会暂停他们的账号.";

//Gives the user access to draw.
$lang['type_gdaccess'] = "让此会员能画图";

//Gives the user access to animate.
$lang['type_gaaccess'] = "让此会员能作动画";

//Prevents a user from being deleted if the Kill Date is set.
$lang['type_userkill'] = "若自动删除会员启用时, 选择此项能防止此会员被删.";

//Member List
$lang['mlist_title'] = "会员列表";

//If you want to search by letter, type in the letter in the search, and select the search mode.
$lang['mlist_helpd'] = "如果你想根据字母搜索, 在输入框中键入该字母, 然后选择此搜索模式.";

//Pending Member
$lang['mlist_pending'] = "尚未批准的会员";

//Send Mass Message

$lang['massm_smassm'] = "批量发送信息";

//You can use this to send a global notice to all your users to their OPmailbox. There is one downside; because you are sending a message to EVERY USER on your board, this will result in LOTS of messages in your outbox. Use this if you really have to!
$lang['massm_disc'] = "你可以使用此功能把大量信息送到每个会员, 这将会在你的寄件夹留下一大堆信息, 所以如果你有非常非常重要的事, 否则最好不要用!";

//The message subject
$lang['mail_subdesc'] = "信息主题";

//The body of the message
$lang['mail_bodydesc'] = "信息内容";

//Send Message
$lang['sendm_title'] = "传送信息";

//Send to
$lang['sendm_sendt'] = "传送给";

//The recipient of the message
$lang['sendm_recip'] = "此信息的收件者";

//Read Message
$lang['readm_title'] = "阅读信息";

//Retrieve Lost Password
$lang['lostpwd_title'] = "恢复遗失的密码";

//An e-mail will be sent to the e-mail address you have in your profile. If you did not specify an e-mail address when you registered, you will have to re-register for a new account. The e-mail will contain a URL to where you can specify a new password, as well as the IP and hostname of the computer used to request the password for security purposes.
$lang['lostpwd_directions'] = "一封邮件将送给到你注册时填写的邮件地址, 若你在注册时没有填写或乱填你的邮件地址, 你就要重新注册. 这封邮件会给你一个网址, 访问该网址可以重设你账号的密码, 提出修改密码申请的机器 IP 也会一同发送给你.";

//Local Picture Database
$lang['lpicdb_title'] = "本地图片数据库";

//Local Comment Database
$lang['lcommdb_title'] = "本地评论数据库";

//If this is an adult image, and you are old enough to view it, click on the image.
$lang['adult_view'] = "如果这是成人图片, 而且你大于18岁, 点击图片以浏览.";

//Language Settings
$lang['eprofile_langset'] = "语言设定";



//A subject is required to send a message.
$lang['functions_err1'] = "发送信息需要填写主题.";

//You cannot use mass mailing.
$lang['functions_err2'] = "你不可以用大量发送邮件的功能.";

//Access Denied. You do not have permissions to modify archives.
$lang['functions_err3'] = "拒绝进入. 你没有权限更改图片存档.";

//The username you are trying to retrieve to does not exist. Please check your spelling and try again.
$lang['functions_err4'] = "你要访问的会员名不存在, 请检查你有没有拼错.";

//Your new and retyped passwords do not match. Please go back and try again.
$lang['functions_err5'] = "你的新密码和重新输入的密码不一样, 请再试一次.";

//Invalid retrival codes. This message will only appear if you have attempted to tamper with the password retrieval system.
$lang['functions_err6'] = "无效的还原码.";

//The username you are trying to retrieve to does not exist. Please check your spelling and try again.
$lang['functions_err7'] = "你想要的会员名不存在, 请检查你的拼法并再试一次.";


//A subject is required to send a message.
$lang['functions_err8'] = "提交的信息需要主题.";


//The username you are trying to send to does not exist. Please check your spelling and try again.
$lang['functions_err9'] = "你想把信息送给的会员不存在, 请检查后再试一次.";

//You need to be logged in to send messages.
$lang['functions_err10'] = "你需要登入才能发信.";

//You cannot access messages in the mailbox that do not belong to you.
$lang['functions_err11'] = "你无法进入不属于你的收件箱.";

//Access Denied. You do not have permissions to delete users.
$lang['functions_err12'] = "拒绝进入. 你没有删除会员的权限.";

//Access Denied: Your password is invalid, or you are still a pending member.
$lang['functions_err13'] = "拒绝进入. 你的密码是无效的或你的账号尚未启用.";

//Invalid verification code.
$lang['functions_err14'] = "无效的确认码.";

//The e-mail address specified in registration already exists in the database. Please re-register with a different address.
$lang['functions_err15'] = "此邮件地此已经被人注册了,请以其他的地址注册.";

//You do not have the credentials to access flag modification.
$lang['functions_err16'] = "你没有权限更改权限.";

//You do not have the credentials to add or remove users.
$lang['functions_err17'] = "你没有删除和增加会员的权限.";

//You cannot claim a picture that is not yours.
$lang['functions_err18'] = "你无法声称这图片是你的因为这图片根本不是你的.";

//You cannot delete a comment that does not belong to you if you are not an Administrator.
$lang['functions_err19'] = "你无法删除一个不属于你的评论, 除非你是管理员或版主.";

//You cannot delete a picture that does not belong to you if you are not an Administrator.
$lang['functions_err20'] = "你无法删除一个不属于你的图片. 除非你是管理员或版主.";

//You cannot edit a comment that does not belong to you.
$lang['functions_err21'] = "你无法编辑一个不属于你的评论.";

//Picture recovered by
$lang['recovery_msg1'] = "恢复图片的人:";

//please edit your entry by going to My Oekaki to add in the proper comments and title.
$lang['recovery_msg2'] = "请编辑你传送的东西, 请加入正常的主题和评论.";

/* Automated Deletion Message */

//Deletion Notice
$lang['kill_title'] = "删除通知";

//Dear
$lang['word_dear'] = "亲爱的";

//This is an automated message from the OekakiPoteto automatic deletion system. Your account has been deleted because you have not logged into
$lang['kill_p1'] = "这个自动信息是从本涂鸦板删除系统产生的. 你的账号被删除, 因为你很久都没登入";

//in the last
$lang['kill_p2'] = "最后一次";

//Because the account has been deleted, all post, comment, and other records associated with your username has been removed, and cannot be re-claimed. To avoid further deletions upon re-registration, be sure to log into your account within the specified amount of days in the FAQ.

$lang['kill_p3'] = "因为你的账号已被删除, 有关于你的文章及图片都被删除了. 为了让以后此是不会再发生, 请阅读 FAQ 里的日期并常常登入.";

//You can also request an Immunity flag from administration which will prevent you from being automatically deleted. If you have any questions, please e-mail the owner of the site.
$lang['kill_p4'] = "你可以向管理员要求一个免疫权限, 这可以防止你的账号以后被自动删除, 如果你有任何问题, 请向管理员联系.";

//Sincerely
$lang['word_sincerely'] = "敬上";

//Automated Deletion
$lang['kill_p5'] = "自动删除";

/* end Automated Deletion Messages */



/* Recover Password Message */

//Password Recovery
$lang['precover_title'] = "密码恢复";

//You or someone with the IP/hostname
$lang['precover_p1'] = "你或其他人使用相同 IP 的人";

//has requested for a password retrieve on
$lang['precover_p2'] = "要求恢复密码";

//To retrieve your password, please copy and paste or click on this link into your browser
$lang['precover_p3'] = "请把此链接复制到你的浏览器上以恢复你的密码";

//You will then be asked to specify a new password. If you did not request this, you may discard this message.
$lang['precover_p4'] = "之后你会被要求设置一个新密码. 如果你并没有要求恢复密码, 请不用理会此信息.";

//OekakiPoteto Admin
$lang['precover_p5'] = "OekakiPoteto 涂鸦板系统管理员";

/* end Recover Password Message */


/* Manual Deletion Message */

//Deletion Notice
$lang['mandel_title'] = "删除通知";

//Your account has been deleted from
$lang['mandel_p1'] = "你的账号已删除自:";

//Deleted by
$lang['mandel_p2'] = "删除";

//If you have any questions, please e-mail the administrator that removed your account.
$lang['mandel_p3'] = "如果你有任何问题, 请联系删除你账号的管理员.";

/* End Manual Deletion Message */

/* Automated Registration Message */

//Registration Details
$lang['autoreg_title'] = "注册信息";

//Your registration has been accepted! You may begin to login into
$lang['autoreg_p1'] = "注册完成, 你现在可以登入了";

//using the username and password you supplied during registration. Upon login, you may want to go to Administration to customize your profile, and erase your IP and hostname that was recorded during registration.
$lang['autoreg_p2'] = "用你注册时的账号登入, 当你登入后, 你可能想到个人控制台以填写个性化信息, 或者清除注册是记录的 IP 信息.";

//You have been granted the following permissions
$lang['autoreg_p3'] = "你被赋予以下的权限:";

//If you do not have Draw/Animation access, and want it, e-mail an Administrator for more details.\n\nAlso, check the FAQ of the site to see if an automatic deletion date is set. If it has been set, you must login to your account before the specified automatic deletion date to prevent your account from being automatically removed due to inactivity.
$lang['autoreg_p4'] = "如果你没有画图或动画的权限, 并希望申请该权限, 请寄信给管理员咨询.\n\n并阅读常见问题解答查看是否有设定自动删除会员的日期, 如果有, 你必须要常常登入你的账号, 避免你的账号被删除.";

//Approved by: Automated Registration
$lang['autoreg_p5'] = "批准人: 自动注册系统";

/* end Automatic Registration Message */

/* Verification Message */

//Verification Notice
$lang['verreg_title'] = "确认通知";

//You have registered for 
$lang['verreg_p1'] = "你注册了此涂鸦板";



//To complete your registration, please copy and paste or click on this link into your browser
$lang['verreg_p2'] = "若要完成注册程序, 请复制以下链接到你的浏览器:";

//This will verify your account so you can login into the OekakiPoteto.
$lang['verreg_p3'] = "这可以确认你的账号, 然后你就可以登入涂鸦板了.";


/* end Verification Message */

/* Rejection Message */

//Your registration at
$lang['rejmsg_p1'] = "你的申请在";

//has been rejected. Please e-mail the
$lang['rejmsg_p2'] = "被拒绝了, 请联络";

//administrator who rejected you for more details. DO NOT reply to this e-mail address.
$lang['rejmsg_p3'] = "拒绝你的管理员, 请勿直接回复此邮件.";

/* end Rejection Message */

/* Picture Removal Notice */

//Your picture has been removed
$lang['picdel_title'] = "你的图片已被删除";

//has been removed from the database by Administrator
$lang['picdel_p1'] = "已被管理员从数据库删除";

//for the following reason
$lang['picdel_p2'] = "删除原因为下:";

//If you have any questions/comments regarding the action, you may reply to this message.
$lang['picdel_p3'] = "如果有任何疑问, 你可以回复此封邮件洽询管理员.";

/* end Picture Removal Notice */

/* FAQ */

$lang['faq_title'] = "常见问题";

$lang['faq_curver'] = "当前安装的 OekakiPoteto 涂鸦板版本:";

$lang['faq_autoset'] = "自动删除设定为";

$lang['faq_noset'] = "目前尚未设定自动删除.";

$lang['faq_toc'] = "目录";

$lang['faq_question'][0] = "什么是 OekakiPoteto?";

$lang['faq_answer'][0] = "OekakiPoteto (日文意义为 \"保护\") 是一个 PHP 编写的 OekakiBBS 和 PaintBBS 在线画图 (涂鸦) Java 程序扩展, 画家们可以在线绘制或上传自己的作品. 这套程序不使用 OekakiBBS 的 picture.cgi 脚本 (很容易受到攻击), 并且因为使用会员制所以更加安全.";

$lang['faq_question'][1] = "是谁在开发 OekakiPoteto?";

$lang['faq_answer'][1] = "<a href=\"http://www.suteki.nu\">Theo Chakkapark/Chakkaphak</a> (昵称: RanmaGuy) 和 <a href=\"http://www.cellosoft.com\">Marcello</a>. RanmaGuy 是主要编写 OekakiPoteto 的人, Marcello 写了支持 OekakiBBS 和 PaintBBS 的程序代码, 以及 PaintBBS 的续绘外挂. <a href=\"http://www.pitythefool.net\">Travis</a> 编写了 OekakiPoteto 的封锁脚本以防范不怀好意的人. 非常感谢 <a href=\"http://www.oekakicentral.com\">Uriel</a> 提供给 OekakiPoteto 开发的空间和详细的测试报告.";

$lang['faq_question'][2] = "在哪里可以免费获得 OekakiPoteto?";

$lang['faq_answer'][2] = "你可以在此下载到 OekakiPoteto 的最新版: <a href=\"http://suteki.nu.\">suteki.nu</a>.";

$lang['faq_question'][3] = "我无法看到/运行画图程序.";

$lang['faq_answer'][3] = "请尝试去 <a href=\"http://java.sun.com/getjava/\">http://java.sun.com/getjava/</a> 下载 Sun Java Runtime Environment (JRE). 如果仍然不行, 并且你使用 Windows 操作系统, 请尝试到 <a href=\"http://windowsupdate.microsoft.com\">Windows 更新</a>下载 MicrosoftVM.";


$lang['faq_question'][4] = "我遗失了密码.";

$lang['faq_answer'][4] = "你可以到<a href=\"lostpass.php\">这里</a>恢复你的密码.";


$lang['faq_question'][5] = "要如何发送信息给别人?";

$lang['faq_answer'][5] = "点击会员名以浏览他的个人信息, 按 \"发送信息\". 执行此操作你必须先登入系统.";

$lang['faq_question'][6] = "什么是图片存档?";

$lang['faq_answer'][6] = "当图片太多时, 涂鸦板会自动把图片数量归零. 把图片放入图片存档才能够避免到时图片被系统自动删除, 这个动作只有管理员能做.";


$lang['faq_question'][7] = "我要如何开始画图?";

$lang['faq_answer'][7] = "如果你已经注册了, 并有画图的权限, 你就可以开始在 OekakiPoteto 画图, 你可以选择用 OekakiBBS 或 PaintBBS 画图程序. 若你没有画图权限, 请联络管理员.";


$lang['faq_question'][8] = "我无法保存我的图片/我提交说明文字出错, 而且画好的图片也找不到了.";

$lang['faq_answer'][8] = "你的图片并没有遗失, 请点击恢复图片链接以恢复你遗失的图片. 你的数据, 包括你画图的时间都还储存在那里.";


$lang['faq_question'][9] = "为什么我完成续绘图片后无法立刻看到更新了的图片呢?";

$lang['faq_answer'][9] = "我们不知到为何会这样. 可能是浏览器缓存了图片; 要解决的话, 刷新一下页面即可.";

$lang['faq_question'][10] = "我使用了带动画功能 (记录绘画过程) 的 NoteBBS / OekakiBBS. 那我该如何开始呢?";

$lang['faq_answer'][10] = "就直接画就好了. 绘图程序会自动把绘图过程纪录下来!";

$lang['faq_question'][11] = "什么是自动删除会员?";

$lang['faq_answer'][11] = "如果这个功能开启, 在某个特定时刻, 所有在一定的时间内没有登入过涂鸦板的会员将会被自动删除. 要避免被删除的话, 可以向管理员申请一个免疫权限或着经常性地登入涂鸦板.";

$lang['faq_question'][12] = "什么样的图会被认为是成人图片?";

$lang['faq_answer'][12] = "成人图片指任何只适合18岁以上人士观看的, 包括裸体, 过度色情或暴力的图片. 如果你画的是这种图, 当你发布时请将此图标记为成人图片. 如果你无法观看成人图片, 但是你想看, 请到 \"编辑个人资料\" 页面编辑个人资料, 并确认 \"允许成人图片\" 选项是勾起来的.";

$lang['faq_question'][13] = "支持 JPEG? 为什么?";

$lang['faq_answer'][13] = "OekakiPoteto 5.x 的新功能之一就是支持 JPEG 压缩. 管理员可以使用此功能, 来减少服务器消耗的流量; 图片质量上, 除了不带抗锯齿的线条 (比如铅笔线条) 外, 基本不会受太大影响.";

$lang['faq_questionA'] = "谁是这个 OekakiPoteto 的拥有者?";

$lang['faq_answerA'] = "以下是这个 OekakiPoteto 的拥有者:";

$lang['faq_questionB'] = "谁是这个 OekakiPoteto 的超级版主?";

$lang['faq_answerB'] = "以下是这个 OekakiPoteto 的超级版主:";

$lang['faq_questionC'] = "谁是这个 OekakiPoteto 的管理员?";

$lang['faq_answerC'] = "以下是这个 OekakiPoteto 的管理员:";

/* End FAQ */


/* Version 1.2 Additions */

$lang['word_new'] = "新的";

$lang['word_unread'] = "尚未阅读";

$lang['word_read'] = "已阅读";

$lang['word_replied'] = "已回复";

$lang['template_edittemplate'] = "编辑模板";

/* End Version 1.2 */

/* Version 1.2a Additions */

$lang['kill_p6'] = "天. 如果你希望重新注册, 到";

$lang['register_sub8'] = "注册完成后, 请查收你的 E-mail 中的激活链接以启用账号.";

$lang['common_postedby'] = "发贴者:";

$lang['common_editedon'] = "被编辑:";

/* End Version 1.2a */

/* Version 1.3 Additions */
//Upload
$lang['word_upload'] = "上传";

//Upload Picture
$lang['upload_title'] = "上传图片";

//File to upload
$lang['upload_file'] = "想要上传的文件";

//Picture may be a PNG or JPEG file, though PNG is highly recommended.
$lang['upload_png_jpg'] = "图片可以是 JPEG 或 PNG 格式, 强烈建议使用 PNG 格式";

//NOTE: Picture <strong>must</strong> be a PNG file!
$lang['upload_png'] = "注意: 图片<strong>必须</strong>是 PNG 格式.";

//ShiPainter
$lang['word_shipainter'] = "ShiPainter";

//ShiPainter Pro
$lang['word_shipainterpro'] = "ShiPainter Pro";

//Edit Banner
$lang['header_ebanner'] = "编辑横幅";

//Reset All Templates
$lang['install_resettemplate'] = "重设全部的模板";

//If yes, all members will have their template reset to the default
$lang['install_resettemplatesub'] = "如果是, 所有会员的面板会重设成默认设置";

//Use built-in chat?
$lang['install_usechat'] = "使用内设的聊天室?";

//Note: high bandwidth usage
$lang['install_usechatsub'] = "警告: 会耗用较高的流量";

//Rebuild All Thumbnails (requires JPEG Compression)
$lang['install_rthumb'] = "重新生成所有的缩略图 (需要 JPEG 压缩)";

//If Yes, all thumbnails will be rebuilt (takes a while!)
$lang['install_rthumb_subyes'] = "如果是, 全部的缩略图都会被重新生成 (需要消耗一些时间)";

//If No, only newest pictures will be affected by changes (default)
$lang['install_rthumb_subno'] = "如果选否, 只有新增的图片会受设置影响 (默认)";

//Thumbnail Scaling
$lang['install_tscaling'] = "缩略图缩放方式";

//Determines how thumbnails are sized
$lang['install_tscalingsub'] = "设定如何调整缩略图大小";

//No scaling
$lang['install_tscaling_none'] = "不使用缩放";

//Scale large pictures to half size
$lang['install_tscaling_half'] = "把大张的图缩小一半";

//Size to {X} pixels (default 150, min 50, max 300)
$lang['install_tscaling_exact1'] = "缩放到 ";
$lang['install_tscaling_exact2'] = " 像数 (默认150, 最小50, 最大300)";

//Your server does not have the GD library extension, therefore you cannot enable thumbnails.
$lang['install_nogd'] = "你的服务器没有 GD library extension, 所以你不能使用缩略图功能.";

//Save Control Panel Settings
$lang['install_savecpanel'] = "储存设定";

//NOTE: this is a guess!  Please confirm that this default URL is correct.
$lang['install_guessurl'] = "注意: 这只是一个猜测! 请确认 URL 是对的.";

//Your E-mail Address (leave blank to use registration e-mail)
$lang['install_adminemail'] = "你的 E-mail 地址 (如果要使用和注册 E-mail 相同的地址, 这里请留空)";

//Admins only:  Bump Post
$lang['bumppost_title'] = "管理员专用: 顶图片";

//Bump picture (no comment will be posted):
$lang['bumppost'] = "顶图片 (不会留任何言):";

//N/A
$lang['word_na'] = "未指定";

//Load time:
$lang['loadtime'] = "加载时间";

//You do not have draw access. Ask an administrator on details for recieving access.
$lang['draw_noaccess'] = "你没有画图的权限, 请洽询管理员.";

//Latest Official OekakiPoteto
$lang['vcheck_lver'] = "最新的 OekakiPoteto 官方版本";

//Latest Wax Poteto update
$lang['vcheck_wver'] = "最新的 Wax Poteto 更新";

//(Click to enlarge)
$lang['enlarge'] = "(点击这里放大)";

/* End Version 1.3 */



/* Version 1.4 Additions */
// Uploaded by
$lang['uploaded_by'] = "上传者";

// Picture is a BMP file, which is not supported.  Make sure screen captures have been saved in the correct format
$lang['no_bmp'] = "这是不被支持的 BMP 格式图片. 请把它另存 (转换) 到 JPEG 或 PNG 格式.";

$lang['no_jpeg'] = "要有 JPEG 支持才可以上传 JPEG 格式的图片, 否则只能上传 PNG 格式的图片.";

// Picture is not a supported format
$lang['no_format'] = "不支持此图片格式";

// No file data was received.  Try again.
$lang['no_upload_data'] = "没接收到任何文件数据. 请再试一次.";

// An error occured while uploading.  Try again.
$lang['upload_err'] = "在上传时发生错误. 请再试一次.";

/* End Version 1.4 */



/* Version 1.5 */
//Default permissions for new members
$lang['install_access'] = '新会员的默认权限';

// automatic assignment of flags for non-approvals
$lang['install_accesssub'] = '自动给尚未确认的会员设置权限.';

// Upload Access
$lang['type_uaccess'] = '上传权限';

// Print "Uploaded by"
$lang['admin_uploaded_by'] = '显示 &ldquo;上传者&rdquo;';

// Gives the user access to the picture upload feature.
$lang['type_guaccess'] = '给该会员上传图片的权限.';

// Time invested (in minutes, "0" if unknown)
$lang['comment_timein'] = '花费的时间 (单位: 分钟, 如果不清楚请填0)';

// Send reason to mailbox
$lang['dela_sendreason'] = '把理由发至他的信箱';

$lang['banner_sub'] = '允许 HTML 和 PHP 代码. 建议使用一个没有附加文字的图片, 或一个指定尺寸的 div 或 table.';

/* End Version 1.5 */



/* Version 1.6 */
//installs-

// Delete database
$lang['delete_dbase'] = "删除数据库";

// Uninstall the OekakiPoteto database?
$lang['uninstall_prompt'] = "卸载 OekakiPoteto 数据库?";

//Are you sure you want to remove the database?  This will remove information for the board
$lang['sure_remove_dbase'] = "你确定要删除数据库吗? 这会把所有版面的数据库清空";

//Images, templates, and all other files in the OP directory must be deleted manually.
$lang['all_delete'] = "涂鸦板所在文件夹中的图片, 模板和全部其他的文件必须手动删除.";

//If you have only one board, you may delete both databases below.
$lang['delete_oneboard'] = "如果你只有一个涂鸦板的话, 你可以同时删除以下两个数据库.";

//If you are sharing a database with more than one board, be sure to delete <em>only</em> the database for posts and comments.  If you delete the database for member profiles, all your boards will cease to function!
$lang['sharing_dbase'] = "如果你有多于一个涂鸦板共享此数据库, 记得<em>只</em>删除图片和文章使用的数据库. 如果你删除了保存会员信息的数据库, 所有涂鸦板都会停止工作!";

//Each board must be removed with its respective installer.
$lang['remove_board'] = "每个涂鸦板需要用他自己的卸载程序删除.";

//Delete posts and comments.
$lang['delepostcomm'] = "删除图片和文章.";

//Delete member profiles, chat, and mailboxes.
$lang['delememp'] = "删除会员信息, 聊天和信箱里的所有东西.";

//Uninstall error
$lang['uninserror'] = "卸载错误";

//Valid database and config files were not found.  The board must be properly installed before any database entries can be removed.  If problems persist, let your sysadmin delete the databases by name.
$lang['uninsmsg'] = "无法读取系统数据库和配置文件. 涂鸦板必须正确安装过才能卸载. 如果问题依然存在, 请你的空间管理员删除那些数据库, 或用 phpMyAdmin 自行删除.";

//Uninstall Status
$lang['unistatus'] = "卸载进度";

//NOTE:  No databases changed
$lang['notedbchange'] = "注意: 数据库未被更改";

//Return to the installer
$lang['returninst'] = "回到安装程序";

//Wacintaki Poteto Installation
$lang['wacinstall'] = "Wacintaki Poteto 涂鸦板安装程序";

//Installation Progress
$lang['instalprog'] = "安装进度";

//ERROR:  Your database settings are invalid.
$lang['err_dbs'] = "错误: 你的数据库设定无效.";

//NOTE:  Database password is blank (not an error).
$lang['note_pwd'] = "注意: 数据库密码是空白 (不是错误).";

//ERROR:  The administrator login name is missing.
$lang['err_adminname'] = "错误: 没有管理员登入账号.";

//ERROR:  The administrator password is missing.
$lang['err_adminpwd'] = "错误: 没有管理员登入密码.";

//ERROR:  The administrator passwords do not match.
$lang['err_admpwsmtch'] = "错误: 两次管理员登入密码输入不相符.";

//Could not connect to the MySQL database.
$lang['err_mysqlconnect'] = "无法连接到 MySQL 数据库.";

//Wrote database config file...
$lang['msg_wrconfig'] = "写到数据库配置文件中...";

//Wrote database config file...
$lang['msg_dbsefile'] = "写到数据库配置文件中...";

//ERROR:  Could not open database config file for writing.  Check your server permissions
$lang['err_permis'] = "错误: 无法写入数据库配置文件. 请确认你的服务器权限设定";

//Wrote config file...
$lang['wrconfig'] = "写入配置文件...";

//ERROR:  Could not open config file for writing.  Check your server permissions.
$lang['err_wrconfig'] = "错误: 无法写入配置文件. 请确认你的服务器权限设定";

//ERROR:  Could not create folder
$lang['err_cfolder'] = "错误: 无法建立文件夹";

//ERROR:  Folder
$lang['err_folder'] = "错误: 文件夹";

//is locked.  You may have to create this folder manually.
$lang['err_folderlocked'] = "是锁定的. 你可能需要手动创建此文件夹.";

//Netiquette applies.  Ask the admin if you have any questions. (default rule)
$lang['netique'] = "请遵守基本的网络礼节. 如果你有疑问请洽询管理员.";

//One or more base files could not be created.  Try again or manually create the listed files with zero length.
$lang['err_fcreate'] = "无法建立一或更多个基本文件. 请再试一次, 或手动建立以下长度为0字节的文件.";

//'Wrote base &ldquo;resource&rdquo; folder files...'
$lang['write_basefile'] = "写入基本 &ldquo;resource&rdquo; 文件夹的文件...";

//Starting to set up database...
$lang['startsetdb'] = "开始安装数据库...";

//Finished setting up database...
$lang['finishsetdb'] = "成功安装数据库...";

//If you did not recieve any errors, the databases have been installed.
$lang['noanyerrors'] = "如果你没收到任何错误, 涂鸦板的数据库已经成功安装了.";

//If you are installing another board and your primary board is functioning properly, ignore any database errors.
$lang['anotherboarderr'] = "如果你是在安装另一个涂鸦板, 然而第一个版面是正常的话, 请略过任何数据库错误信息.";

//Click the button below to finalize the installation.  This will clean up the installer files and prevent security problems.  You will have to copy <em>install.php</em> into the Oekaki Poteto folder if you need to uninstall the database.  All other maintenance can be done with the control panel.
$lang['clickbuttonfinal'] = "点击以下按钮结束安装程序. 这会删除安装程序文件来避免安全问题. 如果你要卸载数据库的话, 你必须把 <em>install.php</em> 上传到 Oekaki Poteto 涂鸦板的文件夹中. 所有其他的配置可以在系统控制面板中完成.";

//Secure installer and go to the BBS
$lang['secinst'] = "删除安装程序并进入涂鸦板";

//Installation Error
$lang['err_install'] = "安装错误";

//&ldquo;templates&rdquo; and &ldquo;resource&rdquo; folders are not writable!  Be sure to CHMOD these folders to their correct permissions before running the installer.
$lang['err_temp_resource'] = "无法写入到 &ldquo;templates&rdquo; 和 &ldquo;resource&rdquo; 文件夹! 在安装之前请确认这些文件夹拥有正确的正确的权限.";

//Wacintaki Poteto Installation
$lang['wac_inst'] = "Wacintaki Poteto 涂鸦板安装程序";

//Installation Notes
$lang['inst_note'] = "安装注意事项";

//For help with installation, read the &ldquo;readme.html&rdquo; file that came with your Wacintaki distribution.  Make sure you have CHMOD all files appropriately before continuing with installation.  For technical assistance, please visit the <a href="http://www.NineChime.com/forum/">NineChime Software Forum
$lang['assist_install'] = "如需要在安装程序上的帮助, 请阅读附在 Wacintaki 文件夹中的 &ldquo;readme.html&rdquo; 文件. 在安装之前请确认你有正确的 CHMOD 所有的档案. 如需要技术支持, 请到 <a href=\"http://www.NineChime.com/forum/\">NineChime 软件讨论区";

//One MySQL database is required to install Wacintaki.  If you do not know how to access your MySQL account, e-mail your sysadmin, or log into your control panel and look for a database tool such as phpMyAdmin.  On most servers, &ldquo;localhost&rdquo; will work for the hostname, though web hosts with a dedicated MySQL server may require something such as &ldquo;mysql.server.com&rdquo;.  Be aware that some database tools, such as CPanel or phpMyAdmin, may automatically add a prefix to your database name or username, so if you create a database called &ldquo;oekaki&rdquo;, the result may end up being &ldquo;accountname_oekaki&rdquo;.  The database table prefixes (default &ldquo;op_&rdquo;) are only significant if you wish to install more than one oekaki.  Consult the manual for more information on installing multiple oekakis with one database.
$lang['mysqldb_wact'] = "需要一个 MySQL 数据库安装 Wacintaki 涂鸦板. 如果你不知道如何进入你的 MySQL 账号, 请 e-mail 给你的空间管理员, 或登入到你的空间控制面板寻找数据库管理程序 (如 phpMyAdmin). 在大部分的服务器上, 数据库服务器名称是 localhost, 但是有些服务器使用专用的 MySQL 服务器, 可能会有其他数据库服务器名称, 如 mysql.server.com. 请注意有些数据库管理程序, 如 CPanel 或 phpMyAdmin, 可能会自动在你数据库名称或账号前加上某些前缀, 所以如果你建立了一个数据库名子为 oekaki, 那个数据库的名子可能变成 accountname_oekaki. 数据表的前缀 (默认为 op_) 只有在安装多个涂鸦板时才需要更改它. 如要在一个数据库装多重涂鸦板. 请阅读安装说明.";

//Database Table Prefix
$lang['dbtablepref'] = "数据表前缀";

//If installing mutiple boards on one database, each board must have its own, unique table prefix.
$lang['multiboardpref'] = "如果在一个数据库中安装多个涂鸦板的话, 每个涂鸦板必须要有不同的数据库前缀.";

//Member Table Prefix
$lang['memberpref'] = "会员数据表前缀";

//If installing multiple boards on one database, and you want all members to access each board without seperate registrations, make sure each board shares the same table prefix.  To force sperate registrations for each board, make this prefix unique for each installation.
$lang['instalmulti'] = "如果在一个数据库中安装多个涂鸦板, 并且希望每个会员不需在每个涂鸦板注册而能够登入到每个板, 请确认每个板的会员数据表的前缀是一样的. 如要强迫会员在每个板注册, 请让此前缀和其他涂鸦板的前缀不同.";

//Click here to
$lang['clickhereto'] = "点击这里以";

//uninstall an existing database
$lang['uninstexist'] = "卸载所有存在的数据库";

//Confirmation will be requested.
$lang['confwreq'] = "将需要确认.";

//This is a guess.  Make sure it is correct, or registration will not work correctly.
$lang['guessregis'] = "这是一个猜测. 请确认这是正确的, 否则将无法注册.";

//Picture Name Prefix
$lang['picpref'] = "图片名称前缀";

//This prefix will appear on every picture and animation saved by the BBS.  Example: &ldquo;OP_50.png&rdquo;
$lang['picprefexp'] = "这段前缀将会出现在涂鸦板保存的每个图片文件名上. 例如: OP_50.png";

//Allow Public Pictures
$lang['allowppicture'] = "允许公用图片";

//Public pictures may be retouched by any member with draw permissions. No passwords are used, and retouched images are submitted as new posts. <strong>NOTE</strong>: May result in floods without strict rules and administration.
$lang['ppmsgrtouch'] = "公用图片可以被任何拥有画图权限的会员编辑, 没有密码保护. 这些编辑过的图片会另存为新图. <strong>注意</strong>: 如果没有严格的管理和版规的话, 可能到致严重灌水.";

//Allow Safety Saves
$lang['allowsafesave'] = "允许安全储存";

//Safety saves do not show up on the board while they are in progress.  Only one safety save is allowed per member, and they are automatically deleted after a certain number of days
$lang['safesaveexp'] = "安全储存是在图片完成前, 不把图片公开在板上. 每个会员只能有一个安全储存, 并且它们会在一定天数内自动被系统删除";

//Safety Save Storage
$lang['savestorage'] = "安全储存时间";

//Number of days safety saves are stored before they are removed.  Default is 30.
$lang['safetydays'] = "一个安全储存会在多少天后会被系统自动删除. 默认是30";

//Auto Immunity for Artists
$lang['autoimune'] = "画家自动免疫";

//If yes, people who draw pictures will automatically receive the immunity flag from auto user delete.
$lang['autoimune_exp'] = "如果是, 画过图的会员会自动获得免疫权限而不会遭到系统自动删除.";

//Show Rules Before Registration
$lang['showrulereg'] = "在会员注册前显示板规";

//If yes, people will be shown the rules before they can submit a new registration.  Use &ldquo;Edit Rules&rdquo; in the admin menu to set rules.
$lang['showruleregexp'] = "如果是, 每个人在注册前会看到板规. 使用管理功能中的 &ldquo;编辑板规&rdquo; 设定板规.";

//Require Art Submission
$lang['requireartsub'] = "需要之前的画作验证";

//If yes, new users are instructed to provide a link to a piece of art for the administrator to view.
$lang['requireartsubyes'] = "如果是, 新注册的会员必须提供一个到他之前的画作的链接, 让管理员查看.";

//If no, new users are told the URL field is optional.
$lang['requireartsubno'] = "如果不, 新注册的会员不需要提供一个到他之前的画作的链接.";

//No (forced)
$lang['forceactivate'] = "否 (强迫启用)";

//If yes, approval by the administrators is required to register.
$lang['activateyes'] = "如果是, 新注册的会员需要管理员的批准.";

//If no, users will recieve an activation code in their e-mail.
$lang['activeno'] = "如果不, 新注册的会员将会收到 e-mail 以启用他的账号.";

//Use &ldquo;forced&rdquo; ONLY if your server cannot send e-mails, and you want automatic approval.
$lang['activateforced'] = "如果你的服务器无法发送 E-mail, 并且你想要自动启用会员的账号, 那么请选 &ldquo;强迫启用&rdquo;.";

//Default Permissions for Approved Registrations
$lang['defaultpermis'] = "当一个新会员通过验证后, 他的默认权限:";

//Members may bump own pictures on retouch?
$lang['bumpretouch'] = "会员可以在续绘时顺便顶他们的图片吗?";

//Author Name
$lang['authorname'] = "拥有者名称";

//Name of the BBS owner.  This is displayed in the copyright and page metadata.
$lang['bbsowner'] = "涂鸦板拥有者名称. 这会在页脚和批注中显示.";

//Adult rated BBS
$lang['adultrbbs'] = "成人涂鸦板";

//Select Yes to declare your BBS for adults only.  Users are required to state their age to register.
$lang['adultrbbsdesc'] = "选是来表示你的涂鸦板只给成人用的. 新注册的会员必须提供他的生日才能注册.";

//NOTE:  Does <strong>not</strong> make every picture adult by default.
$lang['adultrbbsnote'] = "注意: 这<strong>不会</strong>把每个图片自动设为成人图片.";

//Allow guests access to pr0n
$lang['allowpron'] = "允许访客观看成人图片";

//If yes, adult images are blocked and may be viewed by clicking the pr0n placeholder.
$lang['allowpronyes'] = "如果是, 成人图片会先被隐藏, 但是访客可以点击成人图占位图片来观看那些图片.";

//If no, the link is disabled and all access is blocked.
$lang['allowpronno'] = "如果不, 访客将不能看到成人图片.";

//Number of Pics on Index
$lang['maxpiconind'] = "每一页的图片数目";

//Avatars
$lang['word_avatars'] = "头像";

//Enable Avatars
$lang['enableavata'] = "启用头像";

//Allow Avatars On Comments
$lang['allowavatar'] = "允许在评论前显示头像";

//Avatar Storage
$lang['AvatarStore'] = "头像保存文件夹";

//Change <strong>only</strong> if installing multiple boards.  Read the manual
$lang['changemulti'] = "<strong>只有</strong>当你安装多个涂鸦板时需要更改. 若不懂请查询安装手册";

//Basicly, use one folder for all boards.  Example:  use &ldquo;avatars&rdquo; for board 1, &ldquo;../board1/avatars&rdquo; for board 2, etc.
$lang['changemultidesc'] = "基本上, 每个涂鸦板使用相同的头像文件夹. 例如: 用 &ldquo;avatars&rdquo; 当作涂鸦板1的头像文件夹, &ldquo;../board1/avatars&rdquo; 当作涂鸦板2地头像文件夹, 以此类推.";

//Maximum Avatar Size
$lang['maxavatar'] = "最大的头像大小";

//Default is 50 &times; 50 pixels.  Larger than 60 &times; 60 not recommended
$lang['maxavatardesc'] = "默认是50&times;50像素. 不建议大于60&times;60大小的头像 (会破坏版面)";

//Default Canvas Size
$lang['cavasize'] = "默认的画布大小";

//The default canvas size.  Typical value is 300 &times; 300 pixels
$lang['defcanvasize'] = "默认的画布大小. 正常的是300&times;300像素";

//Minimum Canvas Size
$lang['mincanvasize'] = "最小画布大小";

//The minimum canvas size.  Recommended minimum is 50 &times; 50 pixels
$lang['mincanvasizedesc'] = "最小画布大小. 建议是50&times;50像素";

//Maximum Canvas Size
$lang['maxcanvasize'] = "最大画布大小";

//Maximum canvas.  Recommended maximum is 500 &times; 500 pixels
$lang['maxcanvasizedesc'] = "最大画布大小. 建议是500&times;500像素";

//Be aware that a small increase in dimentions results in a large increase in surface area, and thus filesize and bandwidth.  1000 &times; 1000 uses <strong>four times</strong> as much bandwidth as 500 &times; 500
$lang['maxcanvasizedesc2'] = "注意, 增加一点点会大大增加画布的表面面积, 文件大小和带宽. 1000&times;1000像素的画布占用的带宽是500&times;500的<strong>四倍</strong>";

//Number of pictures to display per page of the BBS
$lang['maxpicinddesc'] = "在涂鸦板每页所显示的图片数量";

//Number of Entries on Menus
$lang['menuentries'] = "菜单上显示项目的数量";

//Number of entries (such as user names) to display per page of the menus and admin controls
$lang['menuentriesdesc'] = "窗体和系统控制面板上每一页显示多少项目 (如会员名称)";

//Use Smilies in Comments?
$lang['usesmilies'] = "允许在评论中使用表情?";

//Smilies are configurable by editing the &ldquo;hacks.php&rdquo; file
$lang['usesmiliedesc'] = "表情可以在 &ldquo;hacks.php&rdquo; 中编辑";

//Maximum Upload Filesize
$lang['maxfilesize'] = "最大上传文件大小";

//The max filesize uploaded pictures can be, in bytes.  Default is 500,000 bytes or 500KB.
$lang['maxupfileexp'] = "最大上传文件的大小 (单位: 字节). 默认是500,000字节或500KB.";

//The maximum value allowed by most servers varies from 2 to 8MB.
$lang['maxupfileexp2'] = "最大是2,000,000个字节或2MB, 这是大部分服务器的限制.";

//Canvas size preview
$lang['canvasprev'] = "画布大小预览";

//Image for canvas size preview on Draw screen.  Square picture recommended.
$lang['canvasprevexp'] = "在开始画之前预览画布大小用的图片. 建议是方形图片.";

//Preview Title
$lang['pviewtitle'] = "预览图片标题";

//Title of preview image (Text only &amp; do not use double quotes).
$lang['titleprevwi'] = "预览图片的标题 (纯文本, 请勿用双引号).";

//&ldquo;Pr0n&rdquo; placeholder image
$lang['pron'] = "成人图占位图片";

//Image for substitution of pr0n.  Square picture recommended.  Default &ldquo;pr0n.png&rdquo;
$lang['prondesc'] = "代替成人图片的图片. 建议是方形图片. 默认是 &ldquo;pr0n.png&rdquo;";

//Display
$lang['word_display'] = "显示";

//recommended)
$lang['word_recommended'] = "建议";

//Enable Chat
$lang['enablechat'] = "启用聊天室";

//Note:  chat uses a lot of bandwidth
$lang['chatnote'] = "注意: 聊天室使用很大的带宽";

//Your server does not have the graphics system &ldquo;GDlib&rdquo; installed, therefore you cannot enable thumbnail support.  However, you may still select a default thumbnail mode which will conserve screenspace by shrinking pictures.
$lang['err_nogdlib'] = "你的服务器没有安装图片系统 &ldquo;GDlib&rdquo;, 所以你无法启用缩略图. 但是, 你还是可以选一个缩略图模式, 这样可以缩小图片以节省显示空间.";

//Four thumbnail modes are available.  None, Layout, Scaled, and Uniformity.  If you're confused which mode to use, try Scaled first.
$lang['thumbmodes'] = "有四种缩略图模式供选择. 无, 自动布局, 自动缩放和统一化. 如果你不知道要选择哪个, 请选择自动缩放.";

//<strong>None</strong> will disable thumbnail/layout support, and will use a lot of bandwidth.  <strong>Layout</strong> will keep pictures their original sizes unless they use too much bandwidth, and then a thumbnail is used.  <strong>Scaled Layout</strong> is identical to Layout except very large pictures are scaled to fit the screen.  <strong>Uniformity</strong> makes all the pictures the same size with a tiny thumbnail.
$lang['thumbmodesexp'] = "选择<strong>无</strong>将不启用缩略图功能, 这会使用很多带宽. <strong>自动布局</strong>会保存图片的原始大小, 而当图片占用了很多带宽时, 则用缩略图代替原图. <strong>自动缩放</strong>与自动布局模式基本相同, 区别在于它会把大幅面的图片缩小以适合在屏幕上显示. <strong>统一化模式</strong>会把所有的图片压缩成同样尺寸的缩略图.";

//If you choose &ldquo;None&rdquo;, thumbnail support will always be off for all members unless you enable it later in the control panel.
$lang['thumbmodesexp2'] = "如果你选择 &ldquo;无&rdquo;, 缩略图功能将对所有会员关闭, 除非你以后在控制台启用.";

//Default thumbnail mode
$lang['defthumbmode'] = "默认的缩略图模式";

//None
$lang['word_none'] = "无";

//Layout
$lang['word_layout'] = "自动布局";

//Scaled (default)
$lang['word_defscale'] = "自动缩放 (默认)";

//Uniformity
$lang['word_uniformity'] = "统一化";

//Tip:  Options are ordered in terms of bandwidth.  Uniformity uses the least bandwidth.  Scaled Layout is recommended.
$lang['optiontip'] = "提示: 选项是依照使用的宽带来排序的. 统一化模式使用最少带宽. 推荐使用自动缩放模式.";

// Force default thumbnails
$lang['forcedefthumb'] = " 强迫默认缩略图";

//If yes, users may only use the default mode (recommended for servers with little bandwidth). If no, users may select any thumbnail mode they wish.
$lang['forcethumbdesc'] = "如果是, 会员将只能选用默认的缩略图模式 (建议在带宽很少的服务器上使用). 如果不, 会员可以自由选择他要的缩略图模式.";

//Small thumbnail size
$lang['smallthumb'] = "小缩略图的大小";

//Size of small (uniformity) thumbnails in pixels.  Small thumbnails are generated often.  Default 120.
$lang['smallthumbdesc'] = "小缩略图 (统一化模式) 的大小 (单位:像素). 小缩略图会频繁地生成. 默认是120.";

//Large thumbnail size
$lang['largethumb'] = "大缩略图的大小";

//Size of large (layout) thumbnails.  Large thumbnails are made only occasionally for layout or scaled thumbnail modes.  Default 250.
$lang['largethumbdesc'] = "大缩略图 (自动布局模式) 的大小 (单位:像素). 使用自动布局或自动缩放模式时, 大缩略图只会偶尔产生. 默认是250.";

//Filesize for large thumbnail generation
$lang['thumbnailfilesize'] = "大缩略图产生的文件大小";

//If a picture's filesize is greater than this value, a large thumbnail will be generated in addition to the small one.  Default is 100,000 bytes.  If using uniformity mode only, set to zero to disable and save server space.
$lang['thumbsizedesc'] = "如果一个图片的文件大小大于这个数字, 会生成一个大缩略图和一个小缩略图. 默认是100,000个字节. 如果使用统一化模式, 把它设为0以节省服务器空间.";

//Your E-mail Address (leave blank to use registration e-mail)
$lang['emaildesc'] = "你的 E-mail 地址 (如果要和注册地址相同请留空)";

//Submit Information for Install
$lang['finalinstal'] = "提交数据以安装";

//---addusr

//You do not have the credentials to add users.
$lang['nocredeu'] = "你没有添加会员的权限.";

//Note to admins:  Automatic approval is enabled, so users are expected to enable their own accounts.  Contact the board owner if you have questions about approving or rejecting members manually.
$lang['admnote'] = "管理员注意: 自动批准账号功能是启用的, 所以会员应该会自己启用账号. 如果你对手动开启会员账号有疑问的话, 请联络本涂鸦板的拥有人.";

//INVALID
$lang['word_invalid'] = "无效";

//--banlist

//You do not have the credentials to ban users.
$lang['credibandu'] = "你没有封锁会员的权限.";

// is locked!  View Readme.txt for help.
$lang['fislockvred'] = " 被锁住了! 如要更多说明, 请阅读 Readme.txt.";

//Submit Changes
$lang['submitchange'] = "提交变更";

//WARNING
$lang['word_warning'] = "警告";

//cannot be opened!
$lang['openerr'] = "无法开启!";

//You do not have access as a registered member to use the chat.
$lang['memaccesschat'] = "你不是注册的会员, 所以没有进聊天室的权限.";

//The chat room has been disabled.
$lang['charommdisable'] = "聊天室目前尚未启用.";

//Sorry, an IFrame capable browser is required to participate in the chat room.
$lang['iframechat'] = "抱歉, 必须要一个支持 IFrame 的浏览器才能进去聊天室.";

//Invalid user name.
$lang['invuname'] = "无效的会员名.";

//Invalid verification code.
$lang['invercode'] = "无效的验证码.";

//Safety Save
$lang['safetysave'] = "安全储存";

//Safety save was successful!  To resume a safety save, use the &ldquo;Recover Pics&rdquo; menu.
$lang['safesavemsg'] = "成功执行安全储存! 要继续编辑一个安全储存的图片, 请点击菜单上的 &ldquo;恢复图片&rdquo; 链接.";

//You may have
$lang['youmayhave'] = "你可以同时有";

//safety save(s) at a time.  Remember to finish a safety save soon or it will automatically be deleted within 
$lang['safesavemsg2'] = "个安全储存. 记得要赶快完成这个图片, 否则会被系统自动删除";

//Safety save was successful!  To resume a safety save, click &ldquo;Draw&rdquo;, or use the &ldquo;Recover Pics&rdquo; menu
$lang['safesavemsg3'] = "成功执行安全储存! 要继续编辑一个安全储存的图片, 请点击菜单上的 &ldquo;开始画图&rdquo;, 或 &ldquo;恢复图片&rdquo; 链接";

//You may only have one safety save at a time, and remember to finish it soon or it will automatically be deleted within
$lang['safesavemsg4'] = "你最多同时只能有一个安全储存, 记得要赶快完成这个图片, 否则会被系统自动删除";

//Every time you retouch your safety save, the delete counter will be reset to
$lang['safesavemsg5'] = "每次编辑你安全储存的图片, 自动删除时间会重新计算";

//Return to the BBS
$lang['returnbbs'] = "回到涂鸦板";

//Error reading picture
$lang['err_readpic'] = "读取图片错误";

//Error looking for a recent picture.
$lang['err_lookrecpic'] = "错误: 无法找到最近的图片.";

//NOTE:  Refresh may be required to see retouched image
$lang['refreshnote'] = "注意: 要看到编辑过的图片可能需要刷新页面";

//Picture properties
$lang['picprop'] = "图片属性";

//No, post picture now
$lang['safesaveopt1'] = "不, 现在就发布";

//Yes, save for later
$lang['safesaveopt2'] = "是, 储存图片留着以后编辑";

//Safety saves are stored for
$lang['sagesaveopt3'] = "安全储存的图片会保存";

//Bump picture
$lang['bumppic'] = "顶图";

//You may bump your edited picture to the first page.
$lang['bumppicexp'] = "你可以把你编辑过的图顶到第一页.";

//Share picture
$lang['sharepic'] = "分享图片";

//Password protect
$lang['pwdprotect'] = "密码保护";

//Public (to all members)
$lang['picpublic'] = "公用图片 (所有会员都可编辑)";

//Submit
$lang['word_submit'] = "提交";

//Thanks for logging in!
$lang['common_login'] = "感谢你登入!";

//You have sucessfully logged out.
$lang['common_logout'] = "你已成功注销.";

//Your login has been updated.
$lang['common_loginupd'] = "你的登入状态已更新.";

//If you are not redirected in 3 seconds, click 
$lang['common_redirect'] = "如果在三秒内没有自动跳转页面, 请点击";

//here
$lang['common_here'] = "这里";

//An error occured.  Please try again.
$lang['common_error'] = "发生错误， 请再试一次.";

//PREV
$lang['common_prev'] = "上一页";

//NEXT
$lang['common_next'] = "下一页";

//You do not have the credentials to access the control panel.
$lang['noaccesscp'] = "你没有进入系统管理控制面板的权限.";

//Could not open database config file 
$lang['cperr1'] = "无法开启数据库配置文件";

//for writing.  Check your server permissions
$lang['cperr2'] = "写入. 请确认你服务器的权限设置";

//Could not open config file
$lang['cperr3'] = "无法开启配置文件";

//Storage
$lang['word_storage'] = "储存";

//The maximum number of pictures that can stored at a time.  300 or more recommended (aprox 25MB).  May be changed at any time, but old pictures are deleted immediately
$lang['cpmsg1'] = "最多同时储存的图片数. 建议大于300个 (差不多25MB). 可以在任何时间更改, 但是超过此数字的旧图片会立刻被删除";

//Use &ldquo;avatars/&rdquo; for master board, &ldquo;../board1/avatars/&rdquo; for all other boards.
$lang['cpmsg2'] = "给主要涂鸦板使用 &ldquo;avatars/&rdquo;, 其他涂鸦板用 &ldquo;../board1/avatars/&rdquo;.";

//Image for canvas size preview on Draw screen.  Square picture recommended.  Default &ldquo;preview.png&rdquo;
$lang['cpmsg3'] = "在开始绘画之前预览画布大小用的图片. 建议是方形图片. 默认的图片是 &ldquo;preview.png&rdquo;";

//Rebuild thumbnails
$lang['rebuthumb'] = "重新生成缩略图";

//Page one
$lang['pgone'] = "第一页";

//Archived pictures only
$lang['archipon'] = "只对存档图片";

//All thumbnails (very slow!)
$lang['allthumb'] = "全部的图片 (会花很久时间!)";

//If thumbnail settings are changed, these thumbnails will be rebuilt.
$lang['rebuthumbnote'] = "如果缩略图的设定被改变的话, 这些缩略图将重新生成.";

//You do not have the credentials to delete comments
$lang['errdelecomm'] = "你没有删除评论的权限";

//Send reason to mailbox
$lang['sreasonmail'] = "把理由发至信箱";

//You do not have the credentials to edit the rules.
$lang['erreditrul'] = "你没有编辑板规的权限.";

//Edit Rules
$lang['editrul'] = "编辑板规";

//HTML and PHP are allowed
$lang['htmlphpallow'] = "允许 HTML 和 PHP 语法";

//required
$lang['required'] = "必填";

//You do not have the credentials to delete pictures.
$lang['errdelpic'] = "你没有删除图片的权限.";

//You do not have the credentials to delete users.
$lang['errdelusr'] = "你没有删除会员的权限.";

//Pictures folder is locked!  View Readme.txt for help.
$lang['picfolocked'] = "图片文件夹被锁住了! 如要说明请读 Readme.txt.";

//Unfinished Pictures
$lang['icomppic'] = "尚未完成的图片";

//Click here to recover pictures
$lang['clickrecoverpic'] = "点击这里恢复图片";

//Applet
$lang['word_applet'] = "绘图程序";

//Warning: read the FAQ
$lang['warnrfaq'] = "警告: 请阅读常见问题";

//, with palette
$lang['withpalet'] = ", 包括调色盘";

//Canvas
$lang['word_canvas'] = "画布";

//Min
$lang['word_min'] = "最小";

//Max
$lang['word_max'] = "最大";

//NOTE:  You must check &ldquo;animation&rdquo; to save your layers.
$lang['note_layers'] = "注意: 你必须勾选 \"动画\" 才能储存图层.";

//Canvas preview
$lang['canvasprev'] = "画布预览";

//Avatars are disabled on this board.
$lang['avatardisable'] = "此涂鸦板头像功能已禁用.";

//You must login to access this feature.
$lang['loginerr'] = "你必须登入才能使用此功能.";

//File did not upload properly.  Try again.
$lang['err_fileupl'] = "文件没有正常地上传. 请再试一次.";

//Picture is an unsupported filetype.
$lang['unsuppic'] = "此图片格式不支持.";

//Filesize is too large.  Max size is {1} bytes.
$lang['filetoolar'] = "图片文件太大. 最大的大小是{1}个字节.";

//Image size cannot be read.  File may be corrupt.
$lang['err_imagesize'] = "无法读取文件大小. 文件可能已毁损.";

//Image too large!  Size limit is
$lang['err_imagelar'] = "图片太大! 最大图片大小是";

//pixels
$lang['word_pixels'] = "像素";

//File did not upload properly.  Try again.
$lang['fileuprop'] = "文件没有正常的上传. 请再试一次.";

//Avatar upload
$lang['avatarupl'] = "头像上传";

//Avatar updated!
$lang['avatarupdate'] = "头像已成功上传!";

//Your avatar may be a PNG, JPEG, or GIF.
$lang['avatarform'] = "你的头像可以是 PNG, JPEG 或 GIF 格式.";

//It must not be larger than
$lang['notlarg'] = "尺寸不能大于";

//Avatars will only show on picture posts (not comments).
$lang['avatarshpi'] = "头像只会在贴图上显示 (不会在评论上显示).";

//No avatar
$lang['noavatar'] = "不要头像";

//Change Avatar
$lang['chgavatar'] = "更改头像";

//Delete avatar
$lang['delavatar'] = "删除头像";

//Missing comment number.
$lang['err_comment'] = "没有评论的编号.";

//You cannot edit a comment that does not belong to you.
$lang['err_ecomment'] = "你无法编辑一个不属于你的评论.";

//Edited by
$lang['editedby'] = "编辑";

//You do not have the credentials to edit news.
$lang['err_editnew'] = "你没有编辑公告的权限.";

//tags
$lang['word_tags'] = "标签";

//The banner is optional and displays at the very top of the webpage.
$lang['bannermsg'] = "横幅不是必须的, 它将显示在页面的最顶端.";

//The notice is optional and displays just above the page numbers on <em>every</em> page.
$lang['noticemsg'] = "公告不是必须的, 它将显示在<em>每页</em>的页数上方.";

//Erase
$lang['word_erase'] = "清除";

//Centered Box
$lang['centrebox'] = "居中的区块";

//Scroll Box
$lang['scrollbox'] = "滚动条";

//Quick Draw
$lang['quickdraw'] = "快速画图";

//You cannot edit a picture that does not belong to you.
$lang['err_editpic'] = "你无法编辑一个不属于你的图片.";

//Type &ldquo;public&rdquo; to share with everyone
$lang['editpicmsg'] = "输入 public 会把此图和大家分享.";

//You cannot use the profile editor.
$lang['err_edprof'] = "你无法使用个人资料编辑器.";

//Real Name (Optional)
$lang['realnameopt'] = "真实姓名 (可不填)";

//This is not your username.  This is your real name and will only show up in your profile.
$lang['realname'] = "这不是你的会员名. 这是你的真实姓名, 只会在个人资料中显示.";

//NOTE:  Only registered members will see your e-mail.  Guests and spambots cannot.
$lang['msg_regmail'] = "注意: 只有注册过的会员可以看到你的电邮地址. 访客和机器人程序看不到.";

//Birthday
$lang['word_birthday'] = "生日";

//M   (Month)
$lang['abbr_month'] = "月";

//D   (Day)
$lang['abbr_day'] = "日";

//Y   (Year)
$lang['abbr_year'] = "年";

//January
$lang['month_jan'] = "一月";

//February
$lang['month_feb'] = "二月";

//March
$lang['month_mar'] = "三月";

//April
$lang['month_apr'] = "四月";

//May
$lang['month_may'] = "五月";

//June
$lang['month_jun'] = "六月";

//July
$lang['month_jul'] = "七月";

//August
$lang['month_aug'] = "八月";

//September
$lang['month_sep'] = "九月";

//October
$lang['month_oct'] = "十月";

//November
$lang['month_nov'] = "十一月";

//December
$lang['month_dec'] = "十二月";

//Year is required for birthday to be saved.  Day and month are optional.
$lang['bdaysavmg'] = "必须提供出生年才能储存生日. 月和日可不填.";

//Website
$lang['word_website'] = "网站";

//Website title
$lang['websitetitle'] = "网站名字";

//You can also type a message here and leave the URL blank
$lang['editprofmsg2'] = "你也可以把 URL 栏留空然后留一条你的信息";

//Avatar
$lang['word_avatar'] = "头像";

//Current Avatar
$lang['curavatar'] = "现在的头像";

//Online Presence
$lang['onlineprese'] = "联系信息";

//Automatic
$lang['word_automatic'] = "自动";

//Automatic is the default format and will layout comments to wrap around the picture. Horizontal is good for very high-res screens and displays comments to the right of the picture.  Vertical is recommended for very small, low-res screens.
$lang['msg_automatic'] = "自动是默认的格式, 这会把图片和评论好好的排列. 高分辨率的屏幕最好用水平模式, 这会使评论在图片的右边显示. 垂直模式适合低分辨率的屏幕.";

//Thumbnail mode
$lang['thumbmode'] = "缩略图模式";

//Default
$lang['word_default'] = "默认";

//Scaled
$lang['word_scaled'] = "比例";

//Default is recommended.  Layout will disable most thumbnails.  Scaled is like layout but will shrink big pictures.  Uniformity will make all thumbnails the same size.
$lang['msgdefrec'] = "建议使用默认设置. 自动布局模式不会为大部分图片建立缩略图. 自动缩放模式会把大图片缩小. 统一化模式会把所有的缩略图都弄成同样大小.";

//Cannot be changed on this board
$lang['msg_cantchange'] = "无法在此涂鸦板上更改";

//Screen size
$lang['screensize'] = "屏幕大小";

//or higher
$lang['orhigher'] = "或更高";

//Your screensize, which helps determine the best layout.  Default is 800 &times; 600.
$lang['screensizemsg'] = "你的屏幕大小, 这可以帮助系统决定最好的布局方式. 默认是800&times;600像素.";

// No image data was received by the server.\nPlease try again, or take a screenshot of your picture.
$lang['err_nodata'] = "没有接收到任何图片的数据.\n 为了安全起见, 请把屏幕的图片截取下来, 然后再尝试提交一次.";

//Login could not be verified!  Take a screenshot of your picture.
$lang['err_loginvs'] = "无法确认登入! 请把屏幕的图片截取下来.";

//Unable to allocate a new picture slot!\nTake a screenshot of your picture and tell the admin.
$lang['err_picts'] = "无法找到新的图片编号!\n请把屏幕的图片截取下来并告知系统管理员.";

//Unable to save image.\nPlease try again, or take a screenshot of your picture.
$lang['err_saveimg'] = "无法储存图片.\n请再试一次, 或把屏幕的图片截取下来并告知系统管理员.";

//Registration Expired
$lang['regexpir'] = "注册过期";

//has expired becuase you did not activate your account within
$lang['regexpmsg1'] = "过期了因为你没有启动账号在";

//Please submit a new application to register.\n\nIf you did not receive a link to activate your account in a seperate e-mail, try using a different address or check the anit-spam settings used for your e-mail.\n\nSincerely,\nAutomated Registration
$lang['regexpmsg2'] = "请再重新注册一次.\n\n如果你没有收到启动账号的 e-mail, 请尝试用另一个信箱地址或检查你信箱的反垃圾设定.\n\n自动注册系统\n敬上";

//Rules!
$lang['word_rules'] = "板规";

//Public Images
$lang['publicimg'] = "公用图片";

//Drawings by Comment
$lang['drawbycomm'] = "依照评论排列图片";

//Animations by Comment
$lang['animbycomm'] = "依照评论排列动画";

//Archives by Commen
$lang['archbycomm'] = "依照评论排列图片存档";

//go
$lang['word_go'] = "GO";

//My Oekaki
$lang['myoekaki'] = "我的涂鸦";

//Reset Password
$lang['respwd'] = "重设密码";

//Unlock
$lang['word_unlock'] = "解锁";

//Lock
$lang['word_lock'] = "锁";

//Bump
$lang['word_bump'] = "顶";

//Un
$lang['abrc_un'] = "反";

//WIP
$lang['word_WIP'] = "安储";

//TP
$lang['abrc_tp'] = "缩PNG";

//TJ
$lang['abrc_tj'] = "缩JPG";

//Thumb
$lang['word_thumb'] = "缩略图";

//click to view
$lang['clicktoview'] = "点击这里查看图片";

//Click to enlarge
$lang['clickenlarg'] = "点击这里放大图片";

//Adult
$lang['word_adult'] = "成人图片";

//Public
$lang['word_public'] = "公用图片";

//Thread Locked
$lang['tlocked'] = "主题已锁定";

//Original by
$lang['originalby'] = "原作者:";

//The mailbox has been disabled.
$lang['mailerrmsg1'] = "信箱被禁用.";

//You cannot access the mailbox.
$lang['mailerrmsg2'] = "你无法进入信箱.";

//You need to login to access the mailbox.
$lang['mailerrmsg3'] = "你必须登入才能进入个人信箱.";

// You cannot access messages in the mailbox that do not belong to you.
$lang['mailerrmsg4'] = "你无法阅读不属于你的私人信息.";

$lang['mailerrmsg5'] = "你无法使用批量发信.";

//Reverse Selection
$lang['revselect'] = "反选";

//Delete Selected
$lang['delselect'] = "删除选定的";

//messages
$lang['word_messages'] = "信息";

//Yourself
$lang['word_yourself'] = "你自己";

//Original Message
$lang['orgmessage'] = "原始信息";

//Send
$lang['word_send'] = "发送";

//You can use this to send a global notice to a group of members via the OPmailbox.
$lang['massmailmsg1'] = "你可以使用这个功能批量发信给一组会员.";

//Be careful when sending a mass mail to &ldquo;Everyone&rdquo; as this will result in LOTS of messages in your outbox.  Use this only if you really have to!
$lang['massmailmsg2'] = "请注意当你发送大量信件给 &ldquo;每个人&rdquo; 会使你的寄件夹中塞满信件. 除非有必要否则请勿用此功能!";

//members
$lang['word_members'] = "会员";

//and
$lang['word_and'] = "和";

//admins
$lagop_word_admins="管理员";

//Everyone
$lang['word_everyone'] = "每个人";

//All administrators
$lang['alladmin'] = "全部管理员";

//Super-admins only
$lang['supadminonl'] = "只有超级管理员";

// match your search
$lang['matchysearch'] = "符合你的搜索";

//active
$lang['word_active'] = "活跃";

//Administrators
$lang['word_administrators'] = "管理员";

//Pictures
$lang['word_pictures'] = "图片";

//Sort by
$lang['sortby'] = "排序";

//Order
$lang['word_order'] = "顺序";

//Per page
$lang['perpage'] = "每页";

//Keywords
$lang['word_keywords'] = "关键词";

//please login
$lang['plzlogin'] = "请登入";

//Pending
$lang['word_pending'] = "尚未启用";

//You do not have the credentials to access flag modification.
$lang['err_modflags'] = "你没有权限修改其他会员的权限.";

//Warning:  be careful not to downgrade your own rank
$lang['warn_modflags'] = "警告: 请勿把你自己的权限降级";

//Admin rank
$lang['adminrnk'] = "管理员等级";

//current
$lang['word_current'] = "当前";

//You do not have the credentials to access the password reset.
$lang['retpwderr'] = "你没有重设密码的权限.";

//Only use this feature if a member cannot change their password in the profile editor, and they cannot use the password recovery feature because their recorded e-mail is not working.
$lang['newpassmsg1'] = "仅用于一个会员在个人信息中无法修改密码, 或者因为他的注册邮箱坏掉而无法使用密码恢复功能时.";

//Valid password in database
$lang['validpwdb'] = "在数据库中的有效密码";

//Link to Something
$lang['lnksom'] = "链接到一些东西";

//URLs without
$lang['urlswithot'] = "URL 中没有";

//tags will link automatically.
$lang['taglinkauto'] = "标签会自动变成链接.";

//You do not have draw access. Login to draw, or ask an administrator for details about receiving access.
$lang['err_drawaccess'] = "你没有画图的权限. 请登入后画图, 或询问管理员要如何取得画图权限.";

//Public retouch disabled.
$lang['pubretouchdis'] = "公用图片被禁用.";

//Incorrect password to retouch!
$lang['errrtpwd'] = "不正确的续绘密码!";

//You have too many unfinished pictures!  Use Recover Pics menu to finish one.
$lang['munfinishpic'] = "你有太多尚未完成的图片了! 点击菜单上的恢复图片链接完成它们.";

//You have an unfinished picture!  Use Recover Pics menu to finish it.
$lang['aunfinishpic'] = "你有一个尚未完成的图片! 点击菜单上的恢复图片链接完成它.";

//Resize PaintBBS to fit window
$lang['resizeapplet'] = "调整绘图板让它适合窗口的大小";

//Hadairo
$lang['pallette1'] = "肌色系";

//Red
$lang['pallette2'] = "赤色系";

//Yellow
$lang['pallette3'] = "黄橙色系";

//Green
$lang['pallette4'] = "绿色系";

//Blue
$lang['pallette5'] = "青色系";

//Purple
$lang['pallette6'] = "紫色系";

//Brown
$lang['pallette7'] = "褐色系";

//Character
$lang['pallette8'] = "人物";

//Pastel
$lang['pallette9'] = "粉色系";

//Sougen
$lang['pallette10'] = "草原大地";

//Moe
$lang['pallette11'] = "萌色系";

//Grayscale
$lang['pallette12'] = "灰阶";

//Main
$lang['pallette13'] = "主要色系";

//Wac!
$lang['pallette14'] = "Wac 色系!";

//Save Palette
$lang['savpallette'] = "保存调色盘";

//Save Color Changes
$lang['savcolorcng'] = "保存颜色更改";

//Palette
$lang['word_Palette'] = "调色盘";

//Brighten
$lang['word_Brighten'] = "调亮";

//Darken
$lang['word_Darken'] = "调暗";

//Invert
$lang['word_invert'] = "反转 (对调)";

//Replace all palettes
$lang['paletteopt1'] = "替换所有的调色盘";

//Replace active palette
$lang['paletteopt2'] = "替换所有活跃的调色盘";

//Append palette
$lang['apppalette'] = "附加调色盘";

//Set As Default Palette
$lang['setdefpalette'] = "设为默认调色盘";

//Palette Minipulate/Create
$lang['palletemini'] = "改变/建立调色盘";

//Gradation
$lang['word_Gradation'] = "渐变色";

//Applet Controls
$lang['appcontrol'] = "涂鸦程序设定";

//Please note
$lang['plznote'] = "请注意";

//Any canvas size change will destroy your current picture
$lang['canvchgdest'] = "改变画布的大小将会毁掉你现在的图片";

//You cannot resize your canvas when retouching an older picture.
$lang['noresizeretou'] = "你不能在续绘时修改画布的大小.";

//You may need to refresh the window to start retouching.
$lang['refreshbret'] = "在开始续绘前, 你可能需要刷新窗口.";

//Click the &ldquo;Float&rdquo; button in the upper left corner to go fullscreen.
$lang['float'] = "点击左上角的 &ldquo;浮动&rdquo; 按钮可以把涂鸦程序的窗口放到全屏.";

//Use the <strong>PRINT SCRN</strong> key regularly!
$lang['pntscnregly'] = "请多多使用 <strong>PrintScreen</strong> 键来截屏备份你的图片";

//X (width)
$lang['canvasx'] = "宽度";

//Y (height)
$lang['canvasy'] = "高度";

//Modify
$lang['word_modify'] = "修改";

//Java Information
$lang['javaimfo'] = "Java 信息";

//If you're having trouble with the applet, try downloading the latest version of Java from 
$lang['javahlp'] = "如果你在使用此程序时发生一些问题, 请尝试下载新版在";

//Older versions of Windows are based on the Microsoft Virtual Machine (a Java clone), and may not work very well.
$lang['javahlp2'] = "旧版的 Windows 使用 Microsoft Virtual Machine (一个 Java 的克隆), 可能会工作不正常.";

//If you get an &ldquo;Image Transfer Error&rdquo;, you will have to use Microsoft VM instead of Sun Java.
$lang['oekakihlp1'] = "如果你收到 &ldquo;Image Transfer Error (图片传送错误)&rdquo; 的信息, 你可能需要用 Microsoft VM 来代替 Sun Java.";

//If retouching an animated picture and the canvas is blank, play the animation first.
$lang['oekakihlp2'] = "如果你编辑一个动画图片但是画布是空白的, 请先播放动画.";

//Poo compatibility with PaintBBS must be OFF!\n  Admin: set
$lang['errpoocomp'] = "PaintBBS 的 Poo 属性必须关闭!\n  管理员: 设定";

//Recent IP / host
$lang['reciphost'] = "最近的 IP / 主机";

//Send mailbox message
$lang['sendmailbox'] = "发信";
//Browse all posts
$lang['browseallpost'] = "浏览所有的作品";

//total
$lang['word_total'] = "总共";

//Broken Image
$lang['brokenimage'] = "毁损图片";

//No anim
$lang['noanim'] = "没有动画";

//sec
$lang['sec'] = "秒";

//min
$lang['min'] = "分";

//Post now
$lang['postnow'] = "现在发布";

//Please read the rules before submitting a registration.
$lang['plzreadrulereg'] = "在提交注册申请前, 请先仔细阅读板规.";

//If you agree to these rules
$lang['agreerulz'] = "如果你同意这些板规";

//click here to register
$lang['clickheregister'] = "点击这里注册";

//Registration Submitted
$lang['regisubmit'] = "注册内容成功提交";

//Your registration for
$lang['urgistra'] = "你在";

//is being processed
$lang['ibeproces'] = "的注册正在处理中";

//Before you may login, an administrator must approve your registration.  You should receive an e-mail shortly to let you know if your account has been approved.<br /><br />Once approved, you may update your member profile via the &ldquo;My Oekaki&rdquo; menu.
$lang['aprovemsgyes'] = "在你可以登入之前, 管理员必须批准你的注册申请. 如果你的账号已被开通, 系统会尽快以 E-mail 通知你.<br /><br />在批准之后, 你可以点击 &ldquo;编辑个人资料&rdquo; 来更新你的会员信息.";

//Please check your e-mail soon for the link to activate your account.<br /><br />Once your e-mail has been verified, you will be automatically logged in as a new member, and will be able to add information to your profile.
$lang['aprovemsgno'] = "请尽快到你的 e-mail 信箱收信来启用你的账号.<br /><br />当你的 E-mail 验证通过后, 你将能够以新会员的身份自动登入, 然后你就可以立刻更新你的个人信息了.";

//has been approved!<br /><br />You may now login as a new member, and add information to your profile via the &ldquo;My Oekaki&rdquo; menu.
$lang['aprovmsgforce'] = "已经被批准了!<br /><br /><a href=\"editprofile.php\">你现在可以以新会员的身份登入, 你可以点击 &ldquo;编辑个人资料&rdquo; 来更新你的会员信息.</a>";

//Notes About Registering
$lang['nbregister'] = "注册注意事项";

//DO NOT REGISTER TWICE
$lang['registertwice'] = "请勿注册两次以上";

//You can check if you're in the pending list by viewing the member list and searching for your username.
$lang['regmsg1'] = "你可以到会员列表中寻找你的会员名以确认你是不是待批准的会员.";

//Use only alphanumeric characters for names and passwords.  Do not use quotes or apostrophes.  Passwords are case-sensitive.
$lang['regmsg2'] = "只能用英文字母和数字作会员名称和密码. 请勿用引号或双引号. 密码区分大小写.";

//You may change anything in your profile except your name once your registration is accepted.
$lang['regmsg3'] = "当你的会员资格被批准后, 你可以修改个人资料, 除了你的会员名以外.";

//You must wait for an administrator to approve your registration on this board.  Your registration approval may take awhile if no one at the moment has time to maintain the pending list.  Please be patient; you will receive an e-mail notifying you of your approval.
$lang['regmsg4'] = "你必须等待管理员批准你的注册申请. 你可能要等一些时间让管理员来审核和处理. 请耐心等待, 当你被批准后, 系统将会发 E-mail 通知你.";

//If you don't receive an e-mail with a verification code, or if you cannot activate your account via e-mail, contact an administrator for help.  Administrators may manually approve your account in these cases.
$lang['regmsg5'] = "如果你没收到任何验证邮件, 或你没办法用 E-mail 启用你的账号, 请联络管理员. 管理员可以手动批准你的账号.";

//Your password can be mailed to you if you forget it.  <strong>Your e-mail will only be visible to other registered members.</strong>  You can remove or edit your e-mail after registration.  Ask the board owner about other potential privacy concerns.
$lang['regmsg6'] = "如果你忘记你的密码, 系统可以寄给你. <strong>只有注册会员能看到你的 E-mail 地址.</strong> 你的会员资格被批准以后, 你可以删除或编辑你的 E-mail 地址. 如果你对隐私权有疑问时, 请洽询本涂鸦板的拥有者.";

//Age Statement
$lang['agestatement'] = "年龄声明";

//<strong>This oekaki is for adults only.</strong>  You are required to declare your birth year to register.  Year is required, month and day are optional and may be left blank.
$lang['adultonlymsg'] = "<strong>这是一个成人的涂鸦板.</strong> 你必须声明你的年龄才可注册. 出生年份是必填的, 日和月可填可不填.";

//A link to your webpage, or a direct link to a sample of your artwork.  Not required for registration on this board.
$lang['nbwebpage'] = "你网站的链接, 或是一个指向你绘画作品的链接. 在此涂鸦板的注册程序中并不是必须的.";

//Submit Registration
$lang['subregist'] = "提交注册";

//Could not fetch information about picture
$lang['coulntfetipic'] = "无法取得图片信息";

//No edit number specified
$lang['noeditno'] = "没有指定编辑的次数";

//Cannot read picture
$lang['cantreadpic'] = "无法读取图片";

//from database
$lang['fromdbse'] = "从数据库";

//This picture is available to all board members.
$lang['picavailab'] = "此图片允许所有的会员续绘.";

//The edited version of this image will be posted as a new picture.
$lang['retouchmsg2'] = "此图片的编辑版本将被另存成新图片.";

//The original artist will be credited automatically.
$lang['retouchmsg3'] = "将会自动注明原作者.";

//A password is required to retouch this picture.
$lang['retouchmsg4'] = "需要编辑密码才能续绘此图片.";

//The retouched picture will overwrite the original
$lang['retouchmsg5'] = "被续绘的图片将覆盖原版图片";

//Continue
$lang['word_continue'] = "继续";

//Poo compatibility with ShiPainter must be OFF
$lang['poocompatshi'] = "ShiPainter 的 Poo 属性必须关闭!\n  管理员: 设定";

//Diagnostics page available only to owner
$lang['testvar1'] = "只有此涂鸦板的拥有者才能使用错误诊断页面";

//DB info
$lang['dbinfo'] = "数据库信息";

//Config
$lang['word_config'] = "设定";

//Config version
$lang['configver'] = "设置版本";

//Contact
$lang['word_contact'] = "联系";

//Path to OP
$lang['pathtoop'] = "涂鸦板路径";

//Cookie path
$lang['cookiepath'] = "Cookie 路径";

//Cookie life
$lang['cookielife'] = "Cookie 寿命";

//seconds
$lang['word_seconds'] = "秒";

//Safety saves
$lang['safetysaves'] = "安全储存";

//Locks
$lang['word_locks'] = "锁定";

//Locked
$lang['word_locked'] = "被锁定";

//Missing
$lang['word_missing'] = "丢失";

//You do not have the credentials to upload pictures.
$lang['err_upload'] = "你没有上传图片的权限.";

//Picture to upload
$lang['pictoupload'] = "要上传的图片";

//Valid filetypes are PNG, JPEG, and GIF.
$lang['upldvalidtyp'] = "允许的图片格式有 PNG, JPEG 和 GIF.";

//Animation to upload
$lang['animatoupd'] = "要上传的动画";

//Matching picture and applet type required
$lang['uploadmsg1'] = "动画必须符合图片和所用的涂鸦程序";

//Valid filetypes are PCH, SPCH, and OEB.
$lang['uploadmsg2'] = "允许的动画格式有 PCH, SPCH 和 OEB.";

//Valid filetypes are PCH and SPCH.
$lang['uploadmsg3'] = "有效的文件格式有 PCH 和 SPCH.";

//Applet type
$lang['appletype'] = "涂鸦程序";

//Time invested (in minutes)
$lang['timeinvest'] = "花费时间 (分钟)";

//Use &ldquo;0&rdquo; or leave blank if unknown
$lang['uploadmsg4'] = "如果不知道, 请填写0或留空";

//Download
$lang['word_download'] = "下载";

//This window refreshes every 60 seconds.
$lang['onlinelistmsg'] = "此窗口每60秒自动刷新.";

//Go to page
$lang['gotopg'] = "跳至页";

//Netiquette applies.  Ask the admin if you have any questions
$lang['defrulz'] = "需要遵守基本的网络礼节. 有任何问题请洽询管理员";

//print
$lang['showprint'] = "注明";

//Send reason
$lang['sendreason'] = "发送理由";

//avatar" field does not exist in database.
$lang['err_favatar'] = "数据库中没有 &ldquo;avatar&rdquo; 字段.";

//Get
$lang['pallette_get'] = "获得";

//Set
$lang['pallette_set'] = "设为";

//for
$lang['recover_for'] = "为";
/* End Version 1.6 */



/* Version 1.7 */
// Diagnostics
$lang['header_diag'] = '诊断';
/* End Version 1.7 */



/* Version 1.8 */
// Humanity test for guest posts?
$lang['cpanel_humanity_infoask'] = "访客评论使用验证码?";

// If yes, guests are required to pass a humanity test before posting comments.  The test must be passed only once.
$lang['cpanel_humanity_sub'] = "如果是, 访客在发表评论前必须正确填写验证码. 验证码只需填写一次.";

// What is
$lang['what_is'] = "请计算";

// And now, for the humanity test.
$lang['humanity_notify_sub'] = "接下来请填写正确的验证码.";
/* End Version 1.8 */



/* Version 1.9 */
// If canvas is blank or broken, <a href=\"{1}\">click here to import canvas, not animation</a>.
$lang['shi_canvas_only'] = "如果画布为空白或破碎, <a href=\"{1}\">请点击这里导入画布 (非动画)</a>.";

//For help with installation, read the &ldquo;readme.html&rdquo; file that came with your Wacintaki distribution.  Make sure you have CHMOD all files appropriately before continuing with installation.  For technical assistance, please visit the <a href="http://www.NineChime.com/forum/">NineChime Software Forum</a>.
$lang['assist_install'] = "要获得安装的帮助, 请阅读安装包中附带的 readme.html 文件. 并确认在你在开始安装前, 已将所有文件的权限设置正确. 有任何技术问题请访问 <a href=\"http://www.NineChime.com/forum/\">NineChime Software 的论坛</a>.";

//The installer only sets mandatory information.  Once the board has been installed, use the Control Panel to fully configure the board.
$lang['assist_install2'] = "安装程序将只设定基本的信息, 当涂鸦板安装完成后, 请使用控制面板来进行全面设置.";

//<strong>None</strong> will disable thumbnails, and uses a lot of bandwidth.  <strong>Layout</strong> will keep most pictures their original dimmentions, and usually uses a vertical layout for wide pictures to keep comments readable.  <strong>Scaled</strong> will use thumbnails for wide pictures, and favor horizontal layout.  <strong>Uniformity</strong> makes all the pictures the same size with a small thumbnail.
$lang['thumbmodesexp'] = "选择 <strong>无</strong> 将禁用缩略图功能, 这样会使用很多带宽. 选择 <strong>自动布局</strong> 将保持图片的原始大小, 并在图片较宽时使用垂直布局, 以使评论文字清晰易读. 选择 <strong>自动缩放</strong> 将为较宽的图片生成缩略图, 并使用水平布局. 选择 <strong>统一化</strong> 将强制为所有的图片生成尺寸相同的缩略图.";
/* End Version 1.9 */



/* Versions 1.10, 1.11 are simply corrections */



/* Version 1.12 */
//Resize to this:
$lang['resize_to_this'] = '将大小调整为:';

//Show e-mail to members
$lang['email_show'] = '对会员显示 e-mail';

//Show smilies
$lang['smilies_show'] = '使用表情';

//Host lookup disabled in &ldquo;hacks.php&rdquo; file.
$lang['hosts_disabled'] = '主机查询功能已在 hacks.php 中禁用.';

//Reminder
$lang['word_reminder'] = '提醒';

//Anti-spam
$lang['anti_spam'] = '反垃圾';

//(Delete without sending e-mail)
$lang['anti_spam_delete'] = '(删除并不发送邮件)';

//Log
$lang['word_log'] = '日志';

//You must be an administrator to access the log.
$lang['no_log_access'] = '你必须是管理员才可以访问日志.';

//entries
$lang['word_entries'] = '条目';

//Category
$lang['word_category'] = '分类';

//Peer (affected)
$lang['log_peer'] = '对象 (受影响的)';

//(Self)
$lang['log_self'] = '自己';

//Required.  Guests cannot see e-mails, and it may be hidden from other members.
$lang['msg_regmail'] = "必填.  访客无法看到你的邮件地址, 你也可以之后隐藏它.";

/* End Version 1.12 */



/* Version 1.13 */
//Chibi Paint
$langop_ = 'Chibi Paint';

//Normal Chibi Paint
$lang['online_npaintbbs'] = '标准的 Chibi Paint';

//No Animation
$lang['draw_no_anim'] = '(无动画)';

//Purge All Registrations
$lang['purge_all_regs'] = "清除所有的注册信息";

//Are you sure you want to delete all {1} registrations?
$lang['sure_purge_regs'] = "你确认要删除 {1} 个注册信息吗?";

/* End Version 1.13 */



/* Version 1.14 */
//Animations/Layers
$lang['draw_anims_layers'] = 'Animations/Layers';

//Most applets combine layers with animation data.
$lang['draw_combine_layers'] = 'Most applets combine layers with animation data.';

//Helps prevent accidental loss of pictures.
$lang['draw_help_loss_pics'] = 'Helps prevent accidental loss of pictures.';

//Window close confirmation
$lang['draw_close_confirm'] = 'Window close confirmation';

//Remember draw settings
$lang['draw_remember_settings'] = 'Remember draw settings';

//Any reduction to the number of pictures stored requires confirmation via the checkbox.
$lang['pic_store_change_confirm'] = 'Any reduction to the number of pictures stored requires confirmation via the checkbox.';

//Check this box to confirm any changes
$lang['cpanel_check_box_confirm'] = 'Check this box to confirm any changes';

//Use Lytebox viewer
$lang['cpanel_use_lightbox'] = 'Use Lytebox viewer';

//Enables support for the zooming Lytebox/Lightbox viewer for picture posts.
$lang['cpanel_lightbox_sub'] = 'Enables support for the zooming Lytebox/Lightbox viewer for picture posts.';

//An Administrator has all the basic moderation functions, including editing the notice and banner, banning, changing member flags, and recovering pictures.
$lang['type_aabil'] = 'An Administrator has all the basic moderation functions, including editing the notice and banner, banning, changing member flags, and recovering pictures.';

//Moderator
$lang['word_moderator'] = 'Moderator';

//Moderators have the ability to edit and delte comments, upload, as well as edit post properties (lock, bump, adult, WIP).
$lang['type_mabil'] = 'Moderators have the ability to edit and delte comments, upload, as well as edit post properties (lock, bump, adult, WIP).';

//Who are the Moderators?
$lang['faq_who_mods'] = 'Who are the moderators?';

//Use Lightbox pop-up viewer
$lang['profile_use_lightbox'] = 'Use pop-up image viewer';

//Enables pop-up 
$lang['profile_lightbox_sub'] = 'Enables Lightbox/Lytebox pop-up viewer for images instead of a new browser tab or window.';

/* End Version 1.14 */



/* Version 1.5.0 (now same as project version) */

//{1} {1?day:days} remaining
$lang['recovery_days_remaining'] = "{1} {1?day:days} remaining";

//You have {1} unfinished {1?picture:pictures}.  Please finish {1?it:at least one} before starting a new picture.
$lang['unfinished_notice'] = "You have {1} unfinished {1?picture:pictures}.";

//You have {1} unfinished {1?picture:pictures}.  Please finish {1?it:at least one} before starting a new picture.
$lang['unfinished_warning'] = "You have {1} unfinished {1?picture:pictures}.  Please finish {1?it:at least one} before starting a new picture.";

/* End Version 1.5.0 */



/* Version 1.5.3 (now same as project version) */

//(Default only)
$lang['default_only'] = "(Default only)";

/* End Version 1.5.3 */



/* Version 1.5.5 */

//Private Oekaki
$lang['header_private_oekaki'] = 'Private Oekaki';

//You are not logged in.  Please log in or register to view this oekaki.
$lang['private_please_login'] = 'You are not logged in.  Please log in or register to view this oekaki.';

//Requires members to register or log in to view art and comments.  Guests are completelly blocked.
$lang['private_oekaki_sub'] = 'Requires members to register or log in to view art and comments.  Guests are completelly blocked.';

//Server is able to send e-mail?
$lang['able_send_email'] = 'Server is able to send e-mail?';

//Send E-mails
$lang['install_send_emails'] = 'Send E-mails';

//Only if important
$lang['only_if_important'] = 'Only if important';

//Adjusts how many e-mails are sent by your server.  Defualt is &ldquo;Yes&rdquo;, and is highly recommended.
$lang['adjust_emails_sent_sub1'] = 'Adjusts how many e-mails are sent by your server.  Defualt is &ldquo;Yes&rdquo;, and is highly recommended.';

//&ldquo;Important&rdquo; will reduce e-mails by approximately {1}.  Choose &ldquo;No&rdquo; if your server cannot send e-mail.
// {1} = percentage or fraction
$lang['adjust_emails_sent_sub2'] = '&ldquo;Important&rdquo; will reduce e-mails by approximately {1}.  Choose &ldquo;No&rdquo; if your server cannot send e-mail.';

//Safety Save Limit
$lang['header_safety_max'] = 'Safety Save Limit';

//Maximum number of unfinished pictures a member may have at a time.  Default is {1}.
$lang['safety_max_sub'] = 'Maximum number of unfinished pictures a member may have at a time.  Default is {1}.';

//You need Java&trade; to use the paint program.  <a href="{1}">Click here to download Java</a>.
$lang['paint_need_java_link'] = 'You need Java&trade; to use the paint program.  <a href="{1}">Click here to download Java</a>.';

//Don't know
// context = drop-down menu option
$lang['option_dont_know'] = 'Don\'t know';

//{1} folder is locked!  Folder must be CHMOD to 755 (preferred) or 777.  View Readme.txt for help.
// NOTE: no HTML.  {1} = folder, {2} = manual
$lang['boot_folder_locked'] = '{1} folder is locked!  Folder must be CHMOD to 755 (preferred) or 777.  View {2} for help.';

//Installer removed
$lang['boot_inst_rm'] = 'Installer removed';

//Installer removal failed!
$lang['boot_inst_rm_fail'] = 'Installer removal failed!';

//Updater removed
$lang['boot_update_rm'] = 'Updater removed';

//Updater removal failed!
$lang['boot_update_rm_fail'] = 'Updater removal failed!';

//Proceed to index page
$lang['boot_goto_index'] = 'Proceed to index page';

//Remove the files manually via FTP
$lang['boot_remove_ftp'] = 'Remove the files manually via FTP';

//&ldquo;install.php&rdquo; and/or &ldquo;update.php&rdquo; still exists!
$lang['boot_still_exist_sub1'] = '&ldquo;install.php&rdquo; and/or &ldquo;update.php&rdquo; still exists!';

//If you do not need them anymore, {1}click here to remove them{2}.
// {1} = <a href ..>, {2} = </a>
$lang['boot_still_exist_sub2'] = 'If you do not need them anymore, {1}click here to remove them{2}.';

//If you get this error again, delete the files manually via FTP.
$lang['boot_still_exist_sub3'] = 'If you get this error again, delete the files manually via FTP.';

//Password verification failed. Make sure the new password is typed properly in both fields
$lang['pass_ver_failed'] = 'Password verification failed.  Make sure the new password is typed properly in both fields.';

//Password contains invalid characters: {1}
$lang['pass_invalid_chars'] = 'Password contains invalid characters: {1}';

//Password is empty.
$lang['pass_emtpy'] = 'Password is empty.';

//Username contains invalid characters: {1}
$lang['name_invalid_chars'] = 'Username contains invalid characters: {1}';

//Humanity test failed.
$lang['humanity_test_failed'] = 'Humanity test failed.';

//You must submit a valid age declaration (birth year).
$lang['submit_valid_age'] = 'You must submit a valid age declaration (birth year).';

//Your age declaration could not be accepted.
$lang['age_not_accepted'] = 'Your age declaration could not be accepted.';

//A valid URL is required to register on this BBS
$lang['valid_url_req'] = 'A valid URL is required to register on this BBS.';

//You must declare your age to register on this BBS
$lang['must_declare_age'] = 'You must declare your age to register on this BBS.';

//Sorry, the BBS e-mailer isn't working. You'll have to wait for your application to be approved.
$lang['email_wait_approval'] = "Sorry, the BBS e-mailer isn't working. You'll have to wait for your application to be approved.";

//Database error. Please try again.
$lang['db_err'] = 'Database error. Please try again.';

//Database error. Try using {1}picture recovery{2}.
$lang['db_err_pic_recovery'] = 'Database error. Try using {1}picture recovery{2}.';

//You cannot post a comment because the thread is locked
$lang['no_post_locked'] = 'You cannot post a comment because the thread is locked.';

//HTML links unsupported.  Use NiftyToo/BBCode instead.
$lang['no_html_alt'] = 'HTML links unsupported.  Use NiftyToo/BBCode instead.';

//Guests may only post {1} {1?link:links} per comment on this board.
$lang['guest_num_links'] = 'Guests may only post {1} links per comment on this board.';

//You must be a moderator to mark pictures other than yours as adult.
$lang['mod_change_adult'] = 'You must be a moderator to mark pictures other than yours as adult.';

//Only moderators may change safety save status.
$lang['mod_change_wip'] = 'Only moderators may change safety save status.';

//Only moderators may use this function.
$lang['mod_only_func'] = 'Only moderators may use this function.';

//No mode!  Some security policies or advertisements on shared servers may interfere with comments and picture data.  This is a technical problem.  Ask your admin for help.
$lang['func_no_mode'] = 'No mode!  Some security policies or advertisements on shared servers may interfere with comments and picture data.  This is a technical problem.  Ask your admin for help.';

/* End Version 1.5.5 */

?>